searchData={"items":[{"type":"module","title":"Doggo","doc":"Collection of Phoenix Components.","ref":"Doggo.html"},{"type":"function","title":"Doggo.accordion/1","doc":"Renders a set of headings that control the visibility of their content\nsections.","ref":"Doggo.html#accordion/1"},{"type":"function","title":"Example - Doggo.accordion/1","doc":"```heex\n \n  <:section title=\"Golden Retriever\">\n     \n      Friendly, intelligent, great with families. Origin: Scotland. Needs\n      regular exercise.\n     \n  </:section>\n  <:section title=\"Siberian Husky\">\n     \n      Energetic, outgoing, distinctive appearance. Origin: Northeast Asia.\n      Loves cold climates.\n     \n  </:section>\n  <:section title=\"Dachshund\">\n     \n      Playful, stubborn, small size. Origin: Germany. Enjoys sniffing games.\n     \n  </:section>\n \n```","ref":"Doggo.html#accordion/1-example"},{"type":"function","title":"Attributes - Doggo.accordion/1","doc":"* `id` (`:string`) (required)\n* `expanded` (`:atom`) - Defines how the accordion sections are initialized.\n\n  - `:all` - All accordion sections are expanded by default.\n  - `:none` - All accordion sections are hidden by default.\n  - `:first` - Only the first accordion section is expanded by default.\n\n  Defaults to `:all`.\n* `heading` (`:string`) - The heading level for the section title (trigger). Defaults to `\"h3\"`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#accordion/1-attributes"},{"type":"function","title":"Slots - Doggo.accordion/1","doc":"* `section` (required) - Accepts attributes:\n\n  * `title` (`:string`)","ref":"Doggo.html#accordion/1-slots"},{"type":"function","title":"Doggo.action_bar/1","doc":"The action bar offers users quick access to primary actions within the\napplication.\n\nIt is typically positioned to float above other content.\n\n> ##","ref":"Doggo.html#action_bar/1"},{"type":"function","title":"In Development {: .warning} - Doggo.action_bar/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Roving tabindex\n> - Move focus with arrow keys","ref":"Doggo.html#action_bar/1-in-development-warning"},{"type":"function","title":"Example - Doggo.action_bar/1","doc":"```heex\n \n  <:item label=\"Edit\" on_click={JS.push(\"edit\")}>\n       \n  </:item>\n  <:item label=\"Move\" on_click={JS.push(\"move\")}>\n       \n  </:item>\n  <:item label=\"Archive\" on_click={JS.push(\"archive\")}>\n       \n  </:item>\n \n```","ref":"Doggo.html#action_bar/1-example"},{"type":"function","title":"Attributes - Doggo.action_bar/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#action_bar/1-attributes"},{"type":"function","title":"Slots - Doggo.action_bar/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `label` (`:string`) (required)\n  * `on_click` (`Phoenix.LiveView.JS`) (required)","ref":"Doggo.html#action_bar/1-slots"},{"type":"function","title":"Doggo.alert/1","doc":"The alert component serves as a notification mechanism to provide feedback to\nthe user.\n\nFor supplementary information that doesn't require the user's immediate\nattention, use `callout/1` instead.","ref":"Doggo.html#alert/1"},{"type":"function","title":"Examples - Doggo.alert/1","doc":"Minimal example:\n\n```heex\n  \n```\n\nWith title, icon and level:\n\n```heex\n \n  message\n  <:icon> </:icon>\n \n```","ref":"Doggo.html#alert/1-examples"},{"type":"function","title":"Attributes - Doggo.alert/1","doc":"* `id` (`:string`) (required)\n* `level` (`:atom`) - Semantic level of the alert. Defaults to `:info`.\n* `title` (`:string`) - An optional title. Defaults to `nil`.\n* `on_close` (`:any`) - JS command to run when the close button is clicked. If not set, no close\n  button is rendered.\n\n  Defaults to `nil`.\n* `close_label` (`:any`) - This value will be used as aria label. Consider overriding it in case your\n  app is served in different languages.\n\n  Defaults to `\"close\"`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#alert/1-attributes"},{"type":"function","title":"Slots - Doggo.alert/1","doc":"* `inner_block` (required) - The main content of the alert.\n* `icon` - Optional slot to render an icon.","ref":"Doggo.html#alert/1-slots"},{"type":"function","title":"Doggo.alert_dialog/1","doc":"Renders an alert dialog that requires the immediate attention and response of\nthe user.\n\nThis component is meant for situations where critical information must be\nconveyed, and an explicit response is required from the user. It is typically\nused for confirmation dialogs, warning messages, error notifications, and\nother scenarios where an immediate decision is necessary.\n\nFor non-critical dialogs, such as those containing forms or additional\ninformation, use `Doggo.modal/1` instead.","ref":"Doggo.html#alert_dialog/1"},{"type":"function","title":"Usage - Doggo.alert_dialog/1","doc":"```heex\n \n  <:title>End Training Session Early?</:title>\n   \n    Are you sure you want to end the current training session with Bella?\n    She's making great progress today!\n   \n  <:footer>\n     \n      Yes, end session\n     \n     \n      No, continue training\n     \n  </:footer>\n \n```\n\nTo open the dialog, use the `show_modal/1` function.\n\n```heex\n \n  show\n \n```","ref":"Doggo.html#alert_dialog/1-usage"},{"type":"function","title":"CSS - Doggo.alert_dialog/1","doc":"To hide the modal when the `open` attribute is not set, use the following CSS\nstyles:\n\n```css\ndialog.alert-dialog:not([open]),\ndialog.alert-dialog[open=\"false\"] {\n  display: none;\n}\n```","ref":"Doggo.html#alert_dialog/1-css"},{"type":"function","title":"Semantics - Doggo.alert_dialog/1","doc":"While the `showModal()` JavaScript function is typically recommended for\nmanaging modal dialog semantics, this component utilizes the `open` attribute\nto control visibility. This approach is chosen to eliminate the need for\nlibrary consumers to add additional JavaScript code. To ensure proper\nmodal semantics, the `aria-modal` attribute is added to the dialog element.","ref":"Doggo.html#alert_dialog/1-semantics"},{"type":"function","title":"Attributes - Doggo.alert_dialog/1","doc":"* `id` (`:string`) (required)\n* `open` (`:boolean`) - Initializes the dialog as open. Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - An additional `Phoenix.LiveView.JS` command to execute when the dialog\n  is canceled. This command is executed in addition to closing the dialog. If\n  you only want the dialog to be closed, you don't have to set this attribute.\n\n  Defaults to `%Phoenix.LiveView.JS{ops: []}`.\n* `dismissable` (`:boolean`) - When set to `true`, the dialog can be dismissed by clicking a close button\n  or by pressing the escape key.\n\n  Defaults to `false`.\n* `close_label` (`:string`) - Aria label for the close button. Defaults to `\"Close\"`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#alert_dialog/1-attributes"},{"type":"function","title":"Slots - Doggo.alert_dialog/1","doc":"* `title` (required)\n* `inner_block` (required) - The modal body.\n* `close` - The content for the 'close' link. Defaults to the word 'close'.\n* `footer`","ref":"Doggo.html#alert_dialog/1-slots"},{"type":"function","title":"Doggo.app_bar/1","doc":"The app bar is typically located at the top of the interface and provides\naccess to key features and navigation options.","ref":"Doggo.html#app_bar/1"},{"type":"function","title":"Usage - Doggo.app_bar/1","doc":"```heex\n \n  <:navigation label=\"Open menu\" on_click={JS.push(\"toggle-menu\")}>\n       \n  </:navigation>\n  <:action label=\"Search\" on_click={JS.push(\"search\")}>\n       \n  </:action>\n  <:action label=\"Like\" on_click={JS.push(\"like\")}>\n       \n  </:action>\n \n```","ref":"Doggo.html#app_bar/1-usage"},{"type":"function","title":"Attributes - Doggo.app_bar/1","doc":"* `title` (`:string`) - The page title. Will be set as `h1`. Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#app_bar/1-attributes"},{"type":"function","title":"Slots - Doggo.app_bar/1","doc":"* `navigation` - Slot for a single button left of the title, typically used for a menu button\n  that toggles a drawer, or for a back link.\n\n  Accepts attributes:\n\n  * `label` (`:string`) (required)\n  * `on_click` (`:any`) (required) - Event name or `Phoenix.LiveView.JS` command.\n* `action` - Slot for action buttons right of the title. Accepts attributes:\n\n  * `label` (`:string`) (required)\n  * `on_click` (`:any`) (required) - Event name or `Phoenix.LiveView.JS` command.","ref":"Doggo.html#app_bar/1-slots"},{"type":"function","title":"Doggo.avatar/1","doc":"Renders profile picture, typically to represent a user.","ref":"Doggo.html#avatar/1"},{"type":"function","title":"Example - Doggo.avatar/1","doc":"Minimal example with only the `src` attribute:\n\n```heex\n \n```\n\nRender avatar as a circle:\n\n```heex\n \n```\n\nUse a placeholder image in case the avatar is not set:\n\n```heex\n \n```\n\nRender an text as the placeholder value:\n\n```heex\n \n```","ref":"Doggo.html#avatar/1-example"},{"type":"function","title":"Attributes - Doggo.avatar/1","doc":"* `src` (`:any`) - The URL of the avatar image. If `nil`, the component will use the value\n  provided in the placeholder attribute.\n\n  Defaults to `nil`.\n* `placeholder` (`:any`) - Fallback value to render in case the `src` attribute is `nil`.\n\n  - For a placeholder image, pass a tuple `{:src, url}`.\n  - For other types of placeholder content, such as text initials or inline\n    SVG, pass the content directly. The component will render this content\n    as-is.\n\n  If the placeholder value is set to `nil`, no avatar will be rendered if the\n  `src` is `nil`.\n\n  Defaults to `nil`.\n* `alt` (`:string`) - Use alt text to identify the individual in an avatar if their name or\n  identifier isn't otherwise provided in adjacent text. In contexts where\n  the user's name or identifying information is already displayed alongside\n  the avatar, use `alt=\"\"` (the default) to avoid redundancy and treat the\n  avatar as a decorative element for screen readers.\n\n  Defaults to `\"\"`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `circle` (`:boolean`) - Defaults to `false`.\n* `loading` (`:string`) - Defaults to `\"lazy\"`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#avatar/1-attributes"},{"type":"function","title":"Doggo.badge/1","doc":"Renders a badge, typically used for drawing attention to elements like\nnotification counts.","ref":"Doggo.html#badge/1"},{"type":"function","title":"Examples - Doggo.badge/1","doc":"```heex\n 8 \n```","ref":"Doggo.html#badge/1-examples"},{"type":"function","title":"Attributes - Doggo.badge/1","doc":"* `size` (`:atom`) - Defaults to `:normal`.\n* `variant` (`:atom`) - Defaults to `nil`.","ref":"Doggo.html#badge/1-attributes"},{"type":"function","title":"Slots - Doggo.badge/1","doc":"* `inner_block` (required)","ref":"Doggo.html#badge/1-slots"},{"type":"function","title":"Doggo.bottom_navigation/1","doc":"Renders a navigation that sticks to the bottom of the screen.","ref":"Doggo.html#bottom_navigation/1"},{"type":"function","title":"Example - Doggo.bottom_navigation/1","doc":"```heex\n \n  <:item\n    label=\"Profile\"\n    navigate={~p\"/pets/#{@pet}\"}\n    value={Profile}\n  >\n     \n  </:item>\n  <:item\n    label=\"Appointments\"\n    navigate={~p\"/pets/#{@pet}/appointments\"}\n    value={Appointments}\n  >\n     \n  </:item>\n  <:item\n    label=\"Messages\"\n    navigate={~p\"/pets/#{@pet}/messages\"}\n    value={Messages}\n  >\n     \n  </:item>\n \n```","ref":"Doggo.html#bottom_navigation/1-example"},{"type":"function","title":"Attributes - Doggo.bottom_navigation/1","doc":"* `label` (`:string`) - Label for the ` ` element. The label is especially important if you have\n  multiple ` ` elements on the same page. If the page is localized, the\n  label should be translated, too. Do not include \"navigation\" in the label,\n  since screen readers will already announce the \"navigation\" role as part\n  of the label.\n\n  Defaults to `nil`.\n* `current_value` (`:any`) (required) - The current value used to compare the item values with. This could be the\n  current LiveView module, or the live action.\n\n* `hide_labels` (`:boolean`) - Hides the labels of the individual navigation items. Defaults to `false`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#bottom_navigation/1-attributes"},{"type":"function","title":"Slots - Doggo.bottom_navigation/1","doc":"* `item` (required) - Slot for the navigation items. The inner content should be used to render an\n  icon.\n\n  Accepts attributes:\n\n  * `label` (`:string`) - Required label for the navigation items. The item labels can be visually\n    hidden with the `hide_labels` attribute on the component.\n\n  * `href` (`:string`) - Passed to `Phoenix.Component.link/1`.\n  * `navigate` (`:string`) - Passed to `Phoenix.Component.link/1`.\n  * `patch` (`:string`) - Passed to `Phoenix.Component.link/1`.\n  * `value` (`:any`) - The value of the item is compared to the `current_value` attribute to\n    determine whether to add the `aria-current` attribute. This can be a\n    single value or a list of values, e.g. multiple live actions for which\n    the item should be marked as current.","ref":"Doggo.html#bottom_navigation/1-slots"},{"type":"function","title":"Doggo.box/1","doc":"Renders a box for a section on the page.","ref":"Doggo.html#box/1"},{"type":"function","title":"Example - Doggo.box/1","doc":"Minimal example with only a box body:\n\n```heex\n \n   This is a box. \n \n```\n\nWith title, banner, action, and footer:\n\n```heex\n \n  <:title>Profile</:title>\n  <:banner>\n     \n  </:banner>\n  <:action>\n     Edit \n  </:action>\n\n   This is a profile. \n\n  <:footer>\n     Last edited: <%= @profile.updated_at %> \n  </:footer>\n \n```","ref":"Doggo.html#box/1-example"},{"type":"function","title":"Attributes - Doggo.box/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#box/1-attributes"},{"type":"function","title":"Slots - Doggo.box/1","doc":"* `title` - The title for the box.\n* `inner_block` (required) - Slot for the content of the box body.\n* `action` - A slot for action buttons related to the box.\n* `banner` - A slot that can be used to render a banner image in the header.\n* `footer` - An optional slot for the footer.","ref":"Doggo.html#box/1-slots"},{"type":"function","title":"Doggo.breadcrumb/1","doc":"Renders a breadcrumb navigation.","ref":"Doggo.html#breadcrumb/1"},{"type":"function","title":"Example - Doggo.breadcrumb/1","doc":"```heex\n \n  <:item patch=\"/categories\">Categories</:item>\n  <:item patch=\"/categories/1\">Reviews</:item>\n  <:item patch=\"/categories/1/articles/1\">The Movie</:item>\n \n```","ref":"Doggo.html#breadcrumb/1-example"},{"type":"function","title":"Attributes - Doggo.breadcrumb/1","doc":"* `label` (`:string`) - The aria label for the ` ` element. Defaults to `\"Breadcrumb\"`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#breadcrumb/1-attributes"},{"type":"function","title":"Slots - Doggo.breadcrumb/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `navigate` (`:string`)\n  * `patch` (`:string`)\n  * `href` (`:string`)","ref":"Doggo.html#breadcrumb/1-slots"},{"type":"function","title":"Doggo.button/1","doc":"Renders a button.\n\nUse this component when you need to perform an action that doesn't involve\nnavigating to a different page, such as submitting a form, confirming an\naction, or deleting an item.\n\nIf you need to navigate to a different page or a specific section on the\ncurrent page and want to style the link like a button, use `button_link/1`\ninstead.\n\nSee also `button_link/1`, `toggle_button/1`, and `disclosure_button/1`.","ref":"Doggo.html#button/1"},{"type":"function","title":"Examples - Doggo.button/1","doc":"```heex\n Confirm \n\n \n  Submit\n \n```\n\nTo indicate a loading state, for example when submitting a form, use the\n`aria-busy` attribute:\n\n```heex\n \n  click me\n \n```","ref":"Doggo.html#button/1-examples"},{"type":"function","title":"Attributes - Doggo.button/1","doc":"* `type` (`:string`) - Defaults to `\"button\"`.\n* `variant` (`:atom`) - Defaults to `:primary`.\n* `fill` (`:atom`) - Defaults to `:solid`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `shape` (`:atom`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"autofocus\", \"form\", \"name\", \"value\"]`.","ref":"Doggo.html#button/1-attributes"},{"type":"function","title":"Slots - Doggo.button/1","doc":"* `inner_block` (required)","ref":"Doggo.html#button/1-slots"},{"type":"function","title":"Doggo.button_link/1","doc":"Renders a link (` `) that has the role and style of a button.\n\nUse this component when you need to style a link to a different page or a\nspecific section within the same page as a button.\n\nTo perform an action on the same page, including toggles and revealing/hiding\nelements, you should always use a real button instead. See `button/1`,\n`toggle_button/1`, and `disclosure_button/1`.","ref":"Doggo.html#button_link/1"},{"type":"function","title":"Examples - Doggo.button_link/1","doc":"```heex\n Confirm</.button>\n\n \n  Submit\n \n```","ref":"Doggo.html#button_link/1-examples"},{"type":"function","title":"Attributes - Doggo.button_link/1","doc":"* `variant` (`:atom`) - Defaults to `:primary`.\n* `fill` (`:atom`) - Defaults to `:solid`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `shape` (`:atom`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Since ` ` tags cannot have a `disabled` attribute, this attribute toggles\n  the `\"is-disabled\"` class.\n\n  Defaults to `false`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Supports all globals plus: `[\"download\", \"hreflang\", \"referrerpolicy\", \"rel\", \"target\", \"type\", \"navigate\", \"patch\", \"href\", \"replace\", \"method\", \"csrf_token\"]`.","ref":"Doggo.html#button_link/1-attributes"},{"type":"function","title":"Slots - Doggo.button_link/1","doc":"* `inner_block` (required)","ref":"Doggo.html#button_link/1-slots"},{"type":"function","title":"Doggo.callout/1","doc":"Use the callout to highlight supplementary information related to the main\ncontent.\n\nFor information that needs immediate attention of the user, use `alert/1`\ninstead.","ref":"Doggo.html#callout/1"},{"type":"function","title":"Example - Doggo.callout/1","doc":"Standard callout:\n\n```heex\n \n   Regular exercise is essential for keeping your dog healthy and happy. \n \n```\n\nCallout with an icon:\n\n```heex\n \n  <:icon> </:icon>\n   \n    Did you know? Dogs have a sense of time and can get upset when their\n    routine is changed.\n   \n \n```","ref":"Doggo.html#callout/1-example"},{"type":"function","title":"Attributes - Doggo.callout/1","doc":"* `id` (`:string`) (required)\n* `variant` (`:atom`) - Defaults to `:info`.\n* `title` (`:string`) - An optional title. Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#callout/1-attributes"},{"type":"function","title":"Slots - Doggo.callout/1","doc":"* `inner_block` (required) - The main content of the alert.\n* `icon` - Optional slot to render an icon.","ref":"Doggo.html#callout/1-slots"},{"type":"function","title":"Doggo.card/1","doc":"Renders a card in an `article` tag, typically used repetitively in a grid or\nflex box layout.","ref":"Doggo.html#card/1"},{"type":"function","title":"Usage - Doggo.card/1","doc":"```heex\n \n  <:image>\n     \n  </:image>\n  <:header> Dog Fashion Show </:header>\n  <:main>\n    The next dog fashion show is coming up quickly. Here's what you need\n    to look out for.\n  </:main>\n  <:footer>\n     2023-11-15 12:24 \n     Events \n  </:footer>\n \n```","ref":"Doggo.html#card/1-usage"},{"type":"function","title":"Attributes - Doggo.card/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#card/1-attributes"},{"type":"function","title":"Slots - Doggo.card/1","doc":"* `image` - An optional image slot. The slot content will be rendered within a figure\n  element.\n\n* `header` - The header of the card. You typically want to wrap the header in a `h2` or\n  `h3` tag, or another header level, depending on the hierarchy on the page.\n\n* `main` - The main content of the card.\n* `footer` - A footer of the card, typically containing controls, tags, or meta\n  information.","ref":"Doggo.html#card/1-slots"},{"type":"function","title":"Doggo.carousel/1","doc":"Renders a carousel for presenting a sequence of items, such as images or text.\n\n> ##","ref":"Doggo.html#carousel/1"},{"type":"function","title":"In Development {: .warning} - Doggo.carousel/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Handle previous/next buttons\n> - Handle pagination tabs\n> - Auto rotation\n> - Disable auto rotation when controls are used\n> - Disable previous/next button on first/last item.\n> - Focus management and keyboard support for pagination","ref":"Doggo.html#carousel/1-in-development-warning"},{"type":"function","title":"Example - Doggo.carousel/1","doc":"```heex\n \n  <:previous label=\"Previous Slide\">\n     \n  </:previous>\n  <:next label=\"Next Slide\">\n     \n  </:next>\n  <:item label=\"1 of 3\">\n     \n  </:item>\n  <:item label=\"2 of 3\">\n     \n  </:item>\n  <:item label=\"3 of 3\">\n     \n  </:item>\n \n```","ref":"Doggo.html#carousel/1-example"},{"type":"function","title":"Attributes - Doggo.carousel/1","doc":"* `id` (`:string`) (required)\n* `label` (`:string`) - A accessibility label for the carousel. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels this carousel.\n\n  Example:\n\n  ```html\n   Our Dogs \n  <.carousel labelledby=\"dog-carousel-label\"></.carousel>\n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `carousel_roledescription` (`:string`) - Sets the `aria-roledescription` attribute to describe the region as a\n  carousel. This value should be translated to the language in which the rest\n  of the page is displayed.\n\n  Defaults to `\"carousel\"`.\n* `slide_roledescription` (`:string`) - Sets the `aria-roledescription` attribute to describe a slide. This value\n  should be translated to the language in which the rest of the page is\n  displayed.\n\n  Defaults to `\"slide\"`.\n* `pagination` (`:boolean`) - Defaults to `false`.\n* `pagination_label` (`:string`) - Defaults to `\"Slides\"`.\n* `pagination_slide_label` (`:any`) - 1-arity function that takes the slide number as an argument and returns the\n  aria label for the slide as used in the pagination buttons.\n\n  Defaults to `&Doggo.slide_label/1`.\n* `auto_rotation` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#carousel/1-attributes"},{"type":"function","title":"Slots - Doggo.carousel/1","doc":"* `inner_block` (required) - Place the `carousel_item/1` component here.\n* `previous` - Accepts attributes:\n\n  * `label` (`:string`)\n* `next` - Accepts attributes:\n\n  * `label` (`:string`)\n* `item` (required) - Accepts attributes:\n\n  * `label` (`:string`) - Aria label for the slide, e.g. \"1 of 5\".","ref":"Doggo.html#carousel/1-slots"},{"type":"function","title":"Doggo.cluster/1","doc":"Use the cluster component to visually group children.\n\nCommon use cases are groups of buttons, or group of tags.","ref":"Doggo.html#cluster/1"},{"type":"function","title":"Example - Doggo.cluster/1","doc":"```heex\n \n   some item \n   some other item \n \n```","ref":"Doggo.html#cluster/1-example"},{"type":"function","title":"Attributes - Doggo.cluster/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#cluster/1-attributes"},{"type":"function","title":"Slots - Doggo.cluster/1","doc":"* `inner_block` (required)","ref":"Doggo.html#cluster/1-slots"},{"type":"function","title":"Doggo.combobox/1","doc":"Renders a text input with a popup that allows users to select a value from\na list of suggestions.\n\n> ##","ref":"Doggo.html#combobox/1"},{"type":"function","title":"In Development {: .warning} - Doggo.combobox/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Showing/hiding suggestions\n> - Filtering suggestions\n> - Selecting a value\n> - Focus management\n> - Keyboard support","ref":"Doggo.html#combobox/1-in-development-warning"},{"type":"function","title":"Example - Doggo.combobox/1","doc":"With simple values:\n\n```heex\n \n```\n\nWith label/value pairs:\n\n```heex\n \n```\n\nWith label/value/description tuples:\n\n```heex\n \n```","ref":"Doggo.html#combobox/1-example"},{"type":"function","title":"Attributes - Doggo.combobox/1","doc":"* `id` (`:string`) (required) - Sets the DOM ID for the input.\n* `name` (`:string`) (required) - Sets the name for the text input.\n* `value` (`:string`) - The current input value. The display value for the text input is derived\n  by finding the given value in the list of options.\n\n  Defaults to `nil`.\n* `list_label` (`:string`) (required) - Sets the aria label for the list box. For example, if the combobox allows\n  the user to select a country, the list label could be `\"Countries\"`. The\n  value should start with an uppercase letter and be localized.\n\n* `options` (`:list`) (required) - A list of available options.\n\n  - If a list of primitive values is passed, each item serves as both the\n    label and the input value.\n  - If a list of 2-tuples is passed, the first tuple element serves as label\n    and the second element serves as input value.\n  - If a list of 3-tuples is passed, the third tuple element serves as\n    an additional description.\n\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#combobox/1-attributes"},{"type":"function","title":"Doggo.date/1","doc":"Renders a `Date`, `DateTime`, or `NaiveDateTime` in a ` ` tag.","ref":"Doggo.html#date/1"},{"type":"function","title":"Examples - Doggo.date/1","doc":"By default, the given value is formatted for display with `to_string/1`. This:\n\n```heex\n \n```\n\nWill be rendered as:\n\n```html\n \n  2023-02-05\n \n```\n\nYou can also pass a custom formatter function. For example, if you are using\n[ex_cldr_dates_times](https://hex.pm/packages/ex_cldr_dates_times) in your\napplication, you could do this:\n\n```heex\n \n```\n\nWhich, depending on your locale, may be rendered as:\n\n```html\n \n  Feb 2, 2023\n \n```","ref":"Doggo.html#date/1-examples"},{"type":"function","title":"Attributes - Doggo.date/1","doc":"* `value` (`:any`) (required) - Either a `Date`, `DateTime`, or `NaiveDateTime`.\n* `formatter` (`:any`) - A function that takes a `Date` as an argument and returns the value\n  formatted for display. Defaults to `to_string/1`.\n\n* `title_formatter` (`:any`) - When provided, this function is used to format the date value for the\n  `title` attribute. If the attribute is not set, no `title` attribute will\n  be added.\n\n  Defaults to `nil`.\n* `timezone` (`:string`) - If set and the given value is a `DateTime`, the value will be shifted to\n  that time zone. This affects both the display value and the `datetime` tag.\n  Note that you need to\n  [configure a time zone database](https://hexdocs.pm/elixir/DateTime.html#module-time-zone-database)\n  for this to work.\n\n  Defaults to `nil`.","ref":"Doggo.html#date/1-attributes"},{"type":"function","title":"Doggo.datetime/1","doc":"Renders a `DateTime` or `NaiveDateTime` in a ` ` tag.","ref":"Doggo.html#datetime/1"},{"type":"function","title":"Examples - Doggo.datetime/1","doc":"By default, the given value is formatted for display with `to_string/1`. This:\n\n```heex\n \n```\n\nWill be rendered as:\n\n```html\n \n  2023-02-05 12:22:06.003Z\n \n```\n\nYou can also pass a custom formatter function. For example, if you are using\n[ex_cldr_dates_times](https://hex.pm/packages/ex_cldr_dates_times) in your\napplication, you could do this:\n\n```heex\n \n```\n\nWhich, depending on your locale, may be rendered as:\n\n```html\n \n  Feb 2, 2023, 14:22:06 PM\n \n```","ref":"Doggo.html#datetime/1-examples"},{"type":"function","title":"Attributes - Doggo.datetime/1","doc":"* `value` (`:any`) (required) - Either a `DateTime` or `NaiveDateTime`.\n* `formatter` (`:any`) - A function that takes a `DateTime` or a `NaiveDateTime` as an argument and\n  returns the value formatted for display. Defaults to `to_string/1`.\n\n* `title_formatter` (`:any`) - When provided, this function is used to format the date time value for the\n  `title` attribute. If the attribute is not set, no `title` attribute will\n  be added.\n\n  Defaults to `nil`.\n* `precision` (`:atom`) - Precision to truncate the given value with. The truncation is applied on\n  both the display value and the value of the `datetime` attribute.\n\n  Defaults to `nil`.\n* `timezone` (`:string`) - If set and the given value is a `DateTime`, the value will be shifted to\n  that time zone. This affects both the display value and the `datetime` tag.\n  Note that you need to\n  [configure a time zone database](https://hexdocs.pm/elixir/DateTime.html#module-time-zone-database)\n  for this to work.\n\n  Defaults to `nil`.","ref":"Doggo.html#datetime/1-attributes"},{"type":"function","title":"Doggo.disclosure_button/1","doc":"Renders a button that toggles the visibility of another element.\n\nUse this component to reveal or hide additional content, such as in\ncollapsible sections or dropdown menus.\n\nFor a button that toggles other states, use `toggle_button/1` instead. See\nalso `button/1` and `button_link/1`.","ref":"Doggo.html#disclosure_button/1"},{"type":"function","title":"Examples - Doggo.disclosure_button/1","doc":"Set the `controls` attribute to the DOM ID of the element that you want to\ntoggle with the button.\n\nThe initial state is hidden. Do not forget to add the `hidden` attribute to\nthe toggled element. Otherwise, visibility of the element will not align with\nthe `aria-expanded` attribute of the button.\n\n```heex\n \n  Data Table\n \n\n  \n```","ref":"Doggo.html#disclosure_button/1-examples"},{"type":"function","title":"Attributes - Doggo.disclosure_button/1","doc":"* `controls` (`:string`) (required) - The DOM ID of the element that this button controls.\n* Global attributes are accepted.","ref":"Doggo.html#disclosure_button/1-attributes"},{"type":"function","title":"Slots - Doggo.disclosure_button/1","doc":"* `inner_block` (required)","ref":"Doggo.html#disclosure_button/1-slots"},{"type":"function","title":"Doggo.drawer/1","doc":"Renders a drawer with a `brand`, `top`, and `bottom` slot.\n\nAll slots are optional, and you can render any content in them. If you want\nto use the drawer as a sidebar, you can use the `vertical_nav/1` and\n`vertical_nav_section/1` components.","ref":"Doggo.html#drawer/1"},{"type":"function","title":"Example - Doggo.drawer/1","doc":"Minimal example:\n\n```heex\n \n  <:main>Content</:main>\n \n```\n\nWith all slots:\n\n```heex\n \n  <:header>Doggo</:header>\n  <:main>Content at the top</:main>\n  <:footer>Content at the bottom</:footer>\n \n```\n\nWith navigation and sections:\n\n```heex\n \n  <:header>\n    <.link navigate={~p\"/\"}>App</.link>\n  </:header>\n  <:main>\n     \n      <:item>\n        <.link navigate={~p\"/dashboard\"}>Dashboard</.link>\n      </:item>\n      <:item>\n         \n          <:title>Content</:title>\n          <:item current_page>\n            <.link navigate={~p\"/posts\"}>Posts</.link>\n          </:item>\n          <:item>\n            <.link navigate={~p\"/comments\"}>Comments</.link>\n          </:item>\n         \n      </:item>\n    </.vertical_nav>\n     \n      <:title>Search</:title>\n      <:item> </:item>\n     \n  </:main>\n  <:footer>\n     \n      <:item>\n        <.link navigate={~p\"/settings\"}>Settings</.link>\n      </:item>\n      <:item>\n        <.link navigate={~p\"/logout\"}>Logout</.link>\n      </:item>\n     \n  </:footer>\n \n```","ref":"Doggo.html#drawer/1-example"},{"type":"function","title":"Attributes - Doggo.drawer/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#drawer/1-attributes"},{"type":"function","title":"Slots - Doggo.drawer/1","doc":"* `header` - Optional slot for the brand name or logo.\n* `main` - Slot for content that is rendered after the brand, at the start of the\n  side bar.\n\n* `footer` - Slot for content that is rendered at the end of the drawer, potentially\n  pinned to the bottom, if there is enough room.","ref":"Doggo.html#drawer/1-slots"},{"type":"function","title":"Doggo.fab/1","doc":"Renders a floating action button.","ref":"Doggo.html#fab/1"},{"type":"function","title":"Example - Doggo.fab/1","doc":"```heex\n \n     \n \n```","ref":"Doggo.html#fab/1-example"},{"type":"function","title":"Attributes - Doggo.fab/1","doc":"* `label` (`:string`) (required)\n* `variant` (`:atom`) - Defaults to `:primary`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `shape` (`:atom`) - Defaults to `:circle`.\n* `disabled` (`:boolean`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Doggo.html#fab/1-attributes"},{"type":"function","title":"Slots - Doggo.fab/1","doc":"* `inner_block` (required)","ref":"Doggo.html#fab/1-slots"},{"type":"function","title":"Doggo.fallback/1","doc":"The fallback component renders a given value unless it is empty, in which case\nit renders a fallback value instead.\n\nThe values `nil`, `\"\"`, `[]` and `%{}` are treated as empty values.\n\nThis component optionally applies a formatter function to non-empty values.\n\nThe primary purpose of this component is to enhance accessibility. In\nsituations where a value in a table column or property list is set to be\ninvisible or not displayed, it's crucial to provide an alternative text for\nscreen readers.","ref":"Doggo.html#fallback/1"},{"type":"function","title":"Examples - Doggo.fallback/1","doc":"Render the value of `@some_value` if it's available, or display the\ndefault placeholder otherwise:\n\n```heex\n \n```\n\nApply a formatter function to `@some_value` if it is not `nil`:\n\n```heex\n \n```\n\nSet a custom placeholder and text for screen readers:\n\n```heex\n \n```","ref":"Doggo.html#fallback/1-examples"},{"type":"function","title":"Attributes - Doggo.fallback/1","doc":"* `value` (`:any`) (required) - The value to display. If the value is `nil`, `\"\"`, `[]` or `%{}`, the\n  placeholder is rendered instead.\n\n* `formatter` (`:any`) - A 1-arity function that takes the value and returns the value for display.\n  The formatter function is only applied if `value` is not an empty value.\n\n  Defaults to `nil`.\n* `placeholder` (`:any`) - The placeholder to render if the `value` is empty. Defaults to `\"-\"`.\n* `accessibility_text` (`:string`) - The text for the `aria-label` attribute in case the `value` is empty. Defaults to `\"not set\"`.","ref":"Doggo.html#fallback/1-attributes"},{"type":"function","title":"Doggo.field_description/1","doc":"Renders the description of an input.","ref":"Doggo.html#field_description/1"},{"type":"function","title":"Example - Doggo.field_description/1","doc":"```heex\n \n  max. 100 characters\n \n```","ref":"Doggo.html#field_description/1-example"},{"type":"function","title":"Attributes - Doggo.field_description/1","doc":"* `for` (`:string`) (required) - The ID of the input.","ref":"Doggo.html#field_description/1-attributes"},{"type":"function","title":"Slots - Doggo.field_description/1","doc":"* `inner_block` (required)","ref":"Doggo.html#field_description/1-slots"},{"type":"function","title":"Doggo.field_errors/1","doc":"Renders the errors for an input.","ref":"Doggo.html#field_errors/1"},{"type":"function","title":"Example - Doggo.field_errors/1","doc":"```heex\n \n```","ref":"Doggo.html#field_errors/1-example"},{"type":"function","title":"Attributes - Doggo.field_errors/1","doc":"* `for` (`:string`) (required) - The ID of the input.\n* `errors` (`:list`) (required) - A list of errors as strings.","ref":"Doggo.html#field_errors/1-attributes"},{"type":"function","title":"Doggo.field_group/1","doc":"Use the field group component to visually group multiple inputs in a form.\n\nThis component is intended for styling purposes and does not provide semantic\ngrouping. For semantic grouping of related form elements, use the ` `\nand ` ` HTML elements instead.","ref":"Doggo.html#field_group/1"},{"type":"function","title":"Examples - Doggo.field_group/1","doc":"Visual grouping of inputs:\n\n```heex\n \n   \n   \n \n```\n\nSemantic grouping (for reference):\n\n```heex\n \n   Personal Information \n   \n   \n \n```","ref":"Doggo.html#field_group/1-examples"},{"type":"function","title":"Attributes - Doggo.field_group/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#field_group/1-attributes"},{"type":"function","title":"Slots - Doggo.field_group/1","doc":"* `inner_block` (required)","ref":"Doggo.html#field_group/1-slots"},{"type":"function","title":"Doggo.flash_group/1","doc":"Shows the flash messages as alerts.","ref":"Doggo.html#flash_group/1"},{"type":"function","title":"Hidden attribute - Doggo.flash_group/1","doc":"This component uses the `hidden` attribute to hide alerts related to\ndisconnections. If you explicitly set the CSS `display` property for the\n`alert/1` component, it may override the default browser behavior for the\n`hidden` attribute, in which case you will see these alerts flashing on each\npage load. To prevent this, add the following lines to your CSS styles:\n\n```css\n[hidden] {\n  display: none !important;\n}\n```","ref":"Doggo.html#flash_group/1-hidden-attribute"},{"type":"function","title":"Examples - Doggo.flash_group/1","doc":"```heex\n \n```","ref":"Doggo.html#flash_group/1-examples"},{"type":"function","title":"Attributes - Doggo.flash_group/1","doc":"* `flash` (`:map`) (required) - The map of flash messages.\n* `info_title` (`:string`) - Alert title for flash messages with level `:info`. Defaults to `\"Success\"`.\n* `error_title` (`:string`) - Alert title for flash messages with level `:error`. Defaults to `\"Error\"`.\n* `client_error_title` (`:string`) - Alert title for disconnection errors. Defaults to `\"Disconnected\"`.\n* `client_error_msg` (`:string`) - Alert message for disconnection errors. Defaults to `\"Attempting to reconnect.\"`.\n* `server_error_title` (`:string`) - Alert title for server errors. Defaults to `\"Error\"`.\n* `server_error_msg` (`:string`) - Alert message for server errors. Defaults to `\"Please wait while we get back on track.\"`.\n* `id` (`:string`) - An ID for the container. Defaults to `\"flash-group\"`.\n* `class` (`:any`) - An optional class name. Defaults to `nil`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#flash_group/1-attributes"},{"type":"function","title":"Doggo.frame/1","doc":"Renders a frame with an aspect ratio for images or videos.\n\nThis component is used within the `image/1` component.","ref":"Doggo.html#frame/1"},{"type":"function","title":"Example - Doggo.frame/1","doc":"Rendering an image with the aspect ratio 4:3.\n\n```heex\n \n   \n \n```\n\nRendering an image as a circle.\n\n```heex\n \n   \n \n```","ref":"Doggo.html#frame/1-example"},{"type":"function","title":"Attributes - Doggo.frame/1","doc":"* `ratio` (`:any`) - Defaults to `nil`.\n* `circle` (`:boolean`) - Defaults to `false`.","ref":"Doggo.html#frame/1-attributes"},{"type":"function","title":"Slots - Doggo.frame/1","doc":"* `inner_block`","ref":"Doggo.html#frame/1-slots"},{"type":"function","title":"Doggo.hide_modal/2","doc":"Hides the modal with the given ID.","ref":"Doggo.html#hide_modal/2"},{"type":"function","title":"Example - Doggo.hide_modal/2","doc":"```heex\n<.link phx-click={hide_modal(\"pet-modal\")}>hide</.link>\n```","ref":"Doggo.html#hide_modal/2-example"},{"type":"function","title":"Doggo.icon/1","doc":"Renders a customizable icon using a slot for SVG content.\n\nThis component does not bind you to a specific set of icons. Instead, it\nprovides a slot for inserting SVG content from any icon library you choose\n\nThe `label` attribute is used to describe the icon and is by default applied\nas an `aria-label` for accessibility. If `label_placement` is set to\n`:left` or `:right`, the text becomes visible alongside the icon.","ref":"Doggo.html#icon/1"},{"type":"function","title":"Examples - Doggo.icon/1","doc":"Render an icon with text as `aria-label` using the `heroicons` library:\n\n```heex\n  </.icon>\n```\n\nTo display the text visibly:\n\n```heex\n \n   \n \n```\n\n> ##","ref":"Doggo.html#icon/1-examples"},{"type":"function","title":"aria-hidden {: .info} - Doggo.icon/1","doc":">\n> Not all icon libraries set the `aria-hidden` attribute by default. Always\n> make sure that it is set on the ` ` element that the library renders.","ref":"Doggo.html#icon/1-aria-hidden-info"},{"type":"function","title":"Attributes - Doggo.icon/1","doc":"* `label` (`:string`) - Text that describes the icon. If `label_placement` is set to `:hidden`,\n  this text is set as `aria-label` attribute.\n\n  Defaults to `nil`.\n* `label_placement` (`:atom`) - Position of the label relative to the icon. If set to `:hidden`, the\n  `label` text is used as `aria-label` attribute.\n\n  Defaults to `:hidden`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#icon/1-attributes"},{"type":"function","title":"Slots - Doggo.icon/1","doc":"* `inner_block` (required) - Slot for the SVG element.","ref":"Doggo.html#icon/1-slots"},{"type":"function","title":"Doggo.icon_sprite/1","doc":"Renders an icon using an SVG sprite.","ref":"Doggo.html#icon_sprite/1"},{"type":"function","title":"Examples - Doggo.icon_sprite/1","doc":"Render an icon with text as `aria-label`:\n\n```heex\n \n```\n\nTo display the text visibly:\n\n```heex\n \n```","ref":"Doggo.html#icon_sprite/1-examples"},{"type":"function","title":"Attributes - Doggo.icon_sprite/1","doc":"* `name` (`:string`) (required) - Icon name as used in the sprite.\n* `sprite_url` (`:string`) - The URL of the SVG sprite. Defaults to `\"/assets/icons/sprite.svg\"`.\n* `label` (`:string`) - Text that describes the icon. If `label_placement` is set to `:hidden`, this\n  text is set as `aria-label` attribute.\n\n  Defaults to `nil`.\n* `label_placement` (`:atom`) - Position of the label relative to the icon. If set to `:hidden`, the\n  `label` text is used as `aria-label` attribute.\n\n  Defaults to `:hidden`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#icon_sprite/1-attributes"},{"type":"function","title":"Doggo.image/1","doc":"Renders an image with an optional caption.","ref":"Doggo.html#image/1"},{"type":"function","title":"Example - Doggo.image/1","doc":"```heex\n \n  <:caption>\n    Spotlight on canine couture: A dog fashion show where four-legged models\n    dazzle the runway with the latest in pet apparel.\n  </:caption>\n \n```","ref":"Doggo.html#image/1-example"},{"type":"function","title":"Attributes - Doggo.image/1","doc":"* `src` (`:string`) (required) - The URL of the image to render.\n* `srcset` (`:any`) - A set of image URLs in different sizes. Can be passed as a string or a map.\n\n  For example, this map:\n\n      %{\n        \"1x\" => \"images/image-1x.jpg\",\n        \"2x\" => \"images/image-2x.jpg\"\n      }\n\n  Will result in this `srcset`:\n\n      \"images/image-1x.jpg 1x, images/image-2x.jpg 2x\"\n\n  See https://developer.mozilla.org/en-US/docs/Web/API/HTMLImageElement/srcset.\n\n  Defaults to `nil`.\n* `sizes` (`:string`) - Specifies media conditions for the image widths, if the `srcset` attribute\n  uses intrinsic widths.\n\n  See https://developer.mozilla.org/en-US/docs/Web/API/HTMLImageElement/sizes.\n\n  Defaults to `nil`.\n* `alt` (`:string`) (required) - A text description of the image for screen reader users and those with slow\n  internet. Effective alt text should concisely capture the image's essence\n  and function, considering its context within the content. Aim for clarity\n  and inclusivity without repeating information already conveyed by\n  surrounding text, and avoid starting with \"Image of\" as screen readers\n  automatically announce image presence.\n\n* `width` (`:integer`) - Defaults to `nil`.\n* `height` (`:integer`) - Defaults to `nil`.\n* `loading` (`:string`) - Defaults to `\"lazy\"`.\n* `ratio` (`:any`) - Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#image/1-attributes"},{"type":"function","title":"Slots - Doggo.image/1","doc":"* `caption`","ref":"Doggo.html#image/1-slots"},{"type":"function","title":"Doggo.input/1","doc":"Renders a form field including input, label, errors, and description.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"Doggo.html#input/1"},{"type":"function","title":"Types - Doggo.input/1","doc":"In addition to all HTML input types, the following type values are also\nsupported:\n\n- `\"select\"` - For ` ` elements.","ref":"Doggo.html#input/1-types"},{"type":"function","title":"Gettext - Doggo.input/1","doc":"To translate field errors using Gettext, configure your Gettext module in\n`config/config.exs`.\n\n    config :doggo, gettext: MyApp.Gettext\n\nAlternatively, pass the Gettext module as an attribute:\n\n```heex\n \n```","ref":"Doggo.html#input/1-gettext"},{"type":"function","title":"Label positioning - Doggo.input/1","doc":"The component does not provide an attribute to modify label positioning\ndirectly. Instead, label positioning should be handled with CSS. If your\napplication requires different label positions, such as horizontal and\nvertical layouts, it is recommended to add a modifier class to the form.\n\nFor example, the default style could position labels above inputs. To place\nlabels to the left of the inputs in a horizontal form layout, you can add an\n`is-horizontal` class to the form:\n\n```heex\n<.form class=\"is-horizontal\">\n  <!-- inputs -->\n</.form>\n```\n\nThen, in your CSS, apply the necessary styles to the `.field` class within\nforms having the `is-horizontal` class:\n\n```css\nform.is-horizontal .field {\n  // styles to position label left of the input\n}\n```\n\nThe component has a `hide_label` attribute to visually hide labels while still\nmaking them accessible to screen readers. If all labels within a form need to\nbe visually hidden, it may be more convenient to define a\n`.has-visually-hidden-labels` modifier class for the ` `.\n\n```heex\n<.form class=\"has-visually-hidden-labels\">\n  <!-- inputs -->\n</.form>\n```\n\nEnsure to take checkbox and radio labels into consideration when writing the\nCSS styles.","ref":"Doggo.html#input/1-label-positioning"},{"type":"function","title":"Examples - Doggo.input/1","doc":"```heex\n \n```\n\n```heex\n \n```\n\n#","ref":"Doggo.html#input/1-examples"},{"type":"function","title":"Radio group and checkbox group - Doggo.input/1","doc":"The `radio-group` and `checkbox-group` types allow you to easily render groups\nof radio buttons or checkboxes with a single component invocation. The\n`options` attribute is required for these types and has the same format as\nthe options for the `select` type, except that options may not be nested.\n\n```heex\n \n```\n\nNote that the `checkbox-group` type renders an additional hidden input with\nan empty value before the checkboxes. This ensures that a value exists in case\nall checkboxes are unchecked. Consequently, the resulting list value includes\nan extra empty string. While `Ecto.Changeset.cast/3` filters out empty strings\nin array fields by default, you may need to handle the additional empty string\nmanual in other contexts.","ref":"Doggo.html#input/1-radio-group-and-checkbox-group"},{"type":"function","title":"Attributes - Doggo.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Required for all types except `\"hidden\"`. Defaults to `nil`.\n* `hide_label` (`:boolean`) - Adds an \"is-visually-hidden\" class to the ` `. This option does not\n  apply to checkbox and radio inputs.\n\n  Defaults to `false`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - A form field struct, for example: @form[:name].\n* `errors` (`:list`)\n* `validations` (`:list`) - A list of HTML input validation attributes (`required`, `minlength`,\n  `maxlength`, `min`, `max`, `pattern`). The attributes are derived\n  automatically from the form.\n\n* `checked_value` (`:string`) - The value that is sent when the checkbox is checked. Defaults to `\"true\"`.\n* `checked` (`:boolean`) - The checked attribute for checkboxes.\n* `on_text` (`:string`) - The state text for a switch when on. Defaults to `\"On\"`.\n* `off_text` (`:string`) - The state text for a switch when off. Defaults to `\"Off\"`.\n* `prompt` (`:string`) - An optional prompt for select elements. Defaults to `nil`.\n* `options` (`:list`) - A list of options.\n\n  This attribute is supported for the following types:\n\n  - `\"select\"`\n  - `\"radio-group\"`\n  - `\"checkbox-group\"`\n  - other text types, date and time types, and the `\"range\"` type\n\n  If this attribute is set for types other than select, radio, and checkbox,\n  a [datalist](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/datalist)\n  is rendered for the input.\n\n  See `Phoenix.HTML.Form.options_for_select/2` for the format. Note that only\n  the select supports nested options.\n\n  Defaults to `nil`.\n* `multiple` (`:boolean`) - Sets the `multiple` attribute on a select element to allow selecting\n  multiple options.\n\n  Defaults to `false`.\n* `gettext` (`:atom`) - The Gettext module to use for translating error messages. This option can\n  also be set globally, see above.\n\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"passwordrules\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Doggo.html#input/1-attributes"},{"type":"function","title":"Slots - Doggo.input/1","doc":"* `description` - A field description to render underneath the input.\n* `addon_left` - Can be used to render an icon left in the input. Only supported for\n  single-line inputs.\n\n* `addon_right` - Can be used to render an icon left in the input. Only supported for\n  single-line inputs.","ref":"Doggo.html#input/1-slots"},{"type":"function","title":"Doggo.label/1","doc":"Renders the label for an input.","ref":"Doggo.html#label/1"},{"type":"function","title":"Example - Doggo.label/1","doc":"```heex\n \n  Name\n \n```","ref":"Doggo.html#label/1-example"},{"type":"function","title":"Attributes - Doggo.label/1","doc":"* `for` (`:string`) - The ID of the input. Defaults to `nil`.\n* `required` (`:boolean`) - If set to `true`, a 'required' mark is rendered. Defaults to `false`.\n* `required_title` (`:any`) - Sets the `title` attribute of the required mark. Defaults to `\"required\"`.\n* `visually_hidden` (`:boolean`) - Adds an \"is-visually-hidden\" class to the ` `. Defaults to `false`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#label/1-attributes"},{"type":"function","title":"Slots - Doggo.label/1","doc":"* `inner_block` (required)","ref":"Doggo.html#label/1-slots"},{"type":"function","title":"Doggo.menu/1","doc":"Renders a menu that offers a list of actions or functions.\n\nThis component is meant for organizing actions within an application, rather\nthan for navigating between different pages or sections of a website.\n\nSee also `menu_bar/1`, `menu_group/1`, `menu_button/1`, `menu_item/1`, and\n`menu_item_checkbox/1`.\n\n> ##","ref":"Doggo.html#menu/1"},{"type":"function","title":"In Development {: .warning} - Doggo.menu/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Focus management\n> - keyboard support","ref":"Doggo.html#menu/1-in-development-warning"},{"type":"function","title":"Example - Doggo.menu/1","doc":"If the menu is always visible or can only be toggled by a keyboard shortcut,\nset the `label` attribute.\n\n```heex\n \n  <:item>Copy</:item>\n  <:item>Paste</:item>\n  <:item role=\"separator\"></:item>\n  <:item>Sort lines</:item>\n \n```\n\nIf the menu is toggled by a `menu_button/1`, ensure that the `controls`\nattribute of the button matches the DOM ID of the menu and that the\n`labelledby` attribute of the menu matches the DOM ID of the button.\n\n \n  Actions","ref":"Doggo.html#menu/1-example"},{"type":"function","title":"Attributes - Doggo.menu/1","doc":"* `label` (`:string`) - A accessibility label for the menubar. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels this menubar. If the menu is toggled\n  by a `menu_button/1`, this attribute should be set to the DOM ID of that\n  button.\n\n  Example:\n\n  ```html\n   \n    Actions\n   \n    \n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#menu/1-attributes"},{"type":"function","title":"Slots - Doggo.menu/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `role` (`:string`) - Sets the role of the list item. If the item has a menu item, group, menu\n    item radio group or menu item checkbox as a child, use `\"none\"`. If you\n    want to render a visual separator, use `\"separator\"`. The default is\n    `\"none\"`.\nMust be one of `\"none\"`, or `\"separator\"`.","ref":"Doggo.html#menu/1-slots"},{"type":"function","title":"Doggo.menu_bar/1","doc":"Renders a menu bar, similar to those found in desktop applications.\n\nThis component is meant for organizing actions within an application, rather\nthan for navigating between different pages or sections of a website.\n\nSee also `menu/1`, `menu_group/1`, `menu_button/1`, `menu_item/1`, and\n`menu_item_checkbox/1`.\n\n> ##","ref":"Doggo.html#menu_bar/1"},{"type":"function","title":"In Development {: .warning} - Doggo.menu_bar/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Focus management\n> - keyboard support","ref":"Doggo.html#menu_bar/1-in-development-warning"},{"type":"function","title":"Example - Doggo.menu_bar/1","doc":"```heex\n \n  <:item>\n     \n      Actions\n     \n\n     \n      <:item>\n         \n          View Dog Profiles\n         \n      </:item>\n      <:item>\n         \n          Add Dog Profile\n         \n      </:item>\n      <:item>\n         \n          Dog Care Tips\n         \n      </:item>\n     \n  </:item>\n  <:item role=\"separator\"></:item>\n  <:item>\n     \n      Help\n     \n  </:item>\n \n```","ref":"Doggo.html#menu_bar/1-example"},{"type":"function","title":"Attributes - Doggo.menu_bar/1","doc":"* `label` (`:string`) - A accessibility label for the menubar. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels this menu bar.\n\n  Example:\n\n  ```html\n   Dog Actions \n    \n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#menu_bar/1-attributes"},{"type":"function","title":"Slots - Doggo.menu_bar/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `role` (`:string`) - Sets the role of the list item. If the item has a menu item, group, menu\n    item radio group or menu item checkbox as a child, use `\"none\"`. If you\n    want to render a visual separator, use `\"separator\"`. The default is\n    `\"none\"`.\nMust be one of `\"none\"`, or `\"separator\"`.","ref":"Doggo.html#menu_bar/1-slots"},{"type":"function","title":"Doggo.menu_button/1","doc":"Renders a button that toggles an actions menu.\n\nThis component can be used on its own or as part of a `menu_bar/1` or `menu/1`.\nSee also `menu_item/1`, `menu_item_checkbox/1`, and `menu_group/1`.\n\nFor a button that toggles the visibility of an element that is not a menu, use\n`disclosure_button/1`. For a button that toggles other states, use\n`toggle_button/1`. See also `button/1` and `button_link/1`.","ref":"Doggo.html#menu_button/1"},{"type":"function","title":"Examples - Doggo.menu_button/1","doc":"Set the `controls` attribute to the DOM ID of the element that you want to\ntoggle with the button.\n\nThe initial state is hidden. Do not forget to add the `hidden` attribute to\nthe toggled menu. Otherwise, visibility of the element will not align with\nthe `aria-expanded` attribute of the button.\n\n```heex\n \n   \n    Actions\n   \n\n   \n    <:item>\n       \n        View Dog Profiles\n       \n    </:item>\n    <:item>\n       \n        Add Dog Profile\n       \n    </:item>\n    <:item>\n       \n        Dog Care Tips\n       \n    </:item>\n   \n \n```\n\nIf this menu button is a child of a `menu_bar/1` or a `menu/1`, set the\n`menuitem` attribute.\n\n```heex\n \n  <:item>\n     \n      Dog Actions\n     \n     \n      <:item><!-- ... --></:item>\n     \n  </:item>\n  <:item><!-- ... --></:item>\n \n```","ref":"Doggo.html#menu_button/1-examples"},{"type":"function","title":"Attributes - Doggo.menu_button/1","doc":"* `id` (`:string`) (required) - The DOM ID of the button. Set the `aria-labelledby` attribute of the toggled\n  menu to the same value.\n\n* `controls` (`:string`) (required) - The DOM ID of the element that this button controls.\n* `menuitem` (`:boolean`) - Set this attribute to `true` if the menu button is used as a child of a\n  `menu_bar/1`. This ensures that the `role` is set to `menuitem`.\n\n  Defaults to `false`.\n* Global attributes are accepted.","ref":"Doggo.html#menu_button/1-attributes"},{"type":"function","title":"Slots - Doggo.menu_button/1","doc":"* `inner_block` (required)","ref":"Doggo.html#menu_button/1-slots"},{"type":"function","title":"Doggo.menu_group/1","doc":"This component can be used to group items within a `menu/1` or `menu_bar/1`.\n\nSee also `menu_button/1`, `menu_item/1`, and `menu_item_checkbox/1`.\n\n> ##","ref":"Doggo.html#menu_group/1"},{"type":"function","title":"In Development {: .warning} - Doggo.menu_group/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Focus management\n> - Keyboard support","ref":"Doggo.html#menu_group/1-in-development-warning"},{"type":"function","title":"Example - Doggo.menu_group/1","doc":"```heex\n \n  <:item>\n     \n      <:item>\n         \n          View Dog Profiles\n         \n      </:item>\n      <:item>\n         \n          Add Dog Profile\n         \n      </:item>\n      <:item>\n         \n          Dog Care Tips\n         \n      </:item>\n     \n  </:item>\n  <:item role=\"separator\" />\n  <:item>\n     Help \n  </:item>\n \n```","ref":"Doggo.html#menu_group/1-example"},{"type":"function","title":"Attributes - Doggo.menu_group/1","doc":"* `label` (`:string`) (required) - A accessibility label for the group. Set as `aria-label` attribute.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#menu_group/1-attributes"},{"type":"function","title":"Slots - Doggo.menu_group/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `role` (`:string`) - Sets the role of the list item. If the item has a menu item, menu\n    item radio group or menu item checkbox as a child, use `\"none\"`. If you\n    want to render a visual separator, use `\"separator\"`. The default is\n    `\"none\"`.\nMust be one of `\"none\"`, or `\"separator\"`.","ref":"Doggo.html#menu_group/1-slots"},{"type":"function","title":"Doggo.menu_item/1","doc":"Renders a button that acts as a menu item within a `menu/1` or `menu_bar/1`.\n\nA menu item is meant to be used to trigger an action. For a button that\ntoggles the visibility of a menu, use `menu_button/1`.","ref":"Doggo.html#menu_item/1"},{"type":"function","title":"Example - Doggo.menu_item/1","doc":"```heex\n \n  <:item>\n     \n      Copy\n     \n  </:item>\n  <:item>\n     \n      Paste\n     \n  </:item>\n \n```","ref":"Doggo.html#menu_item/1-example"},{"type":"function","title":"Attributes - Doggo.menu_item/1","doc":"* `on_click` (`Phoenix.LiveView.JS`) (required)\n* Global attributes are accepted.","ref":"Doggo.html#menu_item/1-attributes"},{"type":"function","title":"Slots - Doggo.menu_item/1","doc":"* `inner_block` (required)","ref":"Doggo.html#menu_item/1-slots"},{"type":"function","title":"Doggo.menu_item_checkbox/1","doc":"Renders a menu item checkbox as part of a `menu/1` or `menu_bar/1`.\n\nSee also `menu_item/1`.\n\n> ##","ref":"Doggo.html#menu_item_checkbox/1"},{"type":"function","title":"In Development {: .warning} - Doggo.menu_item_checkbox/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - State management\n> - Keyboard support","ref":"Doggo.html#menu_item_checkbox/1-in-development-warning"},{"type":"function","title":"Example - Doggo.menu_item_checkbox/1","doc":"```heex\n \n  <:item>\n     \n      Word wrap\n     \n  </:item>\n \n```","ref":"Doggo.html#menu_item_checkbox/1-example"},{"type":"function","title":"Attributes - Doggo.menu_item_checkbox/1","doc":"* `checked` (`:boolean`) - Defaults to `false`.\n* `on_click` (`Phoenix.LiveView.JS`) (required)\n* Global attributes are accepted.","ref":"Doggo.html#menu_item_checkbox/1-attributes"},{"type":"function","title":"Slots - Doggo.menu_item_checkbox/1","doc":"* `inner_block` (required)","ref":"Doggo.html#menu_item_checkbox/1-slots"},{"type":"function","title":"Doggo.menu_item_radio_group/1","doc":"Renders a group of menu item radios as part of a `menu/1` or `menu_bar/1`.\n\nSee also `menu_button/1`, `menu_item/1`, and `menu_item_checkbox/1`.\n\n> ##","ref":"Doggo.html#menu_item_radio_group/1"},{"type":"function","title":"In Development {: .warning} - Doggo.menu_item_radio_group/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Focus management\n> - State management\n> - Keyboard support","ref":"Doggo.html#menu_item_radio_group/1-in-development-warning"},{"type":"function","title":"Example - Doggo.menu_item_radio_group/1","doc":"```heex\n \n  <:item>\n     \n      <:item on_click={JS.dispatch(\"switch-theme-light\")}>\n        Light\n      </:item>\n      <:item on_click={JS.dispatch(\"switch-theme-dark\")} checked>\n        Dark\n      </:item>\n     \n  </:item>\n \n```","ref":"Doggo.html#menu_item_radio_group/1-example"},{"type":"function","title":"Attributes - Doggo.menu_item_radio_group/1","doc":"* `label` (`:string`) (required) - A accessibility label for the group. Set as `aria-label` attribute.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#menu_item_radio_group/1-attributes"},{"type":"function","title":"Slots - Doggo.menu_item_radio_group/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `checked` (`:boolean`)\n  * `on_click` (`Phoenix.LiveView.JS`)","ref":"Doggo.html#menu_item_radio_group/1-slots"},{"type":"function","title":"Doggo.modal/1","doc":"Renders a modal dialog for content such as forms and informational panels.\n\nThis component is appropriate for non-critical interactions. For dialogs\nrequiring immediate user response, such as confirmations or warnings, use\n`Doggo.alert_dialog/1` instead.","ref":"Doggo.html#modal/1"},{"type":"function","title":"Usage - Doggo.modal/1","doc":"There are two primary ways to manage the display of the modal: via URL state\nor by setting and removing the `open` attribute.\n\n#","ref":"Doggo.html#modal/1-usage"},{"type":"function","title":"With URL - Doggo.modal/1","doc":"To toggle the modal visibility based on the URL:\n\n1. Use the `:if` attribute to conditionally render the modal when a specific\n   live action matches.\n2. Set the `on_cancel` attribute to patch back to the original URL when the\n   user chooses to close the modal.\n3. Set the `open` attribute to declare the modal's initial visibility state.\n\n##","ref":"Doggo.html#modal/1-with-url"},{"type":"function","title":"Example - Doggo.modal/1","doc":"```heex\n \n  <:title>Show pet</:title>\n   My pet is called Johnny. \n  <:footer>\n    <.link phx-click={JS.exec(\"data-cancel\", to: \"#pet-modal\")}>\n      Close\n    </.link>\n  </:footer>\n \n```\n\nTo open the modal, patch or navigate to the URL associated with the live\naction.\n\n```heex\n<.link patch={~p\"/pets/#{@id}\"}>show</.link>\n```\n\n#","ref":"Doggo.html#modal/1-example"},{"type":"function","title":"Without URL - Doggo.modal/1","doc":"To toggle the modal visibility dynamically with the `open` attribute:\n\n1. Omit the `open` attribute in the template.\n2. Use the `show_modal/1` and `hide_modal/1` functions to change the\n   visibility.\n\n##","ref":"Doggo.html#modal/1-without-url"},{"type":"function","title":"Example - Doggo.modal/1","doc":"```heex\n \n  <:title>Show pet</:title>\n   My pet is called Johnny. \n  <:footer>\n    <.link phx-click={JS.exec(\"data-cancel\", to: \"#pet-modal\")}>\n      Close\n    </.link>\n  </:footer>\n \n```\n\nTo open modal, use the `show_modal/1` function.\n\n```heex\n \n  show\n \n```","ref":"Doggo.html#modal/1-example"},{"type":"function","title":"CSS - Doggo.modal/1","doc":"To hide the modal when the `open` attribute is not set, use the following CSS\nstyles:\n\n```css\ndialog.modal:not([open]),\ndialog.modal[open=\"false\"] {\n  display: none;\n}\n```","ref":"Doggo.html#modal/1-css"},{"type":"function","title":"Semantics - Doggo.modal/1","doc":"While the `showModal()` JavaScript function is typically recommended for\nmanaging modal dialog semantics, this component utilizes the `open` attribute\nto control visibility. This approach is chosen to eliminate the need for\nlibrary consumers to add additional JavaScript code. To ensure proper\nmodal semantics, the `aria-modal` attribute is added to the dialog element.","ref":"Doggo.html#modal/1-semantics"},{"type":"function","title":"Attributes - Doggo.modal/1","doc":"* `id` (`:string`) (required)\n* `open` (`:boolean`) - Initializes the modal as open. Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - An additional `Phoenix.LiveView.JS` command to execute when the dialog\n  is canceled. This command is executed in addition to closing the dialog. If\n  you only want the dialog to be closed, you don't have to set this attribute.\n\n  Defaults to `%Phoenix.LiveView.JS{ops: []}`.\n* `dismissable` (`:boolean`) - When set to `true`, the dialog can be dismissed by clicking a close button\n  or by pressing the escape key.\n\n  Defaults to `true`.\n* `close_label` (`:string`) - Aria label for the close button. Defaults to `\"Close\"`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#modal/1-attributes"},{"type":"function","title":"Slots - Doggo.modal/1","doc":"* `title` (required)\n* `inner_block` (required) - The modal body.\n* `close` - The content for the 'close' link. Defaults to the word 'close'.\n* `footer`","ref":"Doggo.html#modal/1-slots"},{"type":"function","title":"Doggo.navbar/1","doc":"Renders a navigation bar.","ref":"Doggo.html#navbar/1"},{"type":"function","title":"Usage - Doggo.navbar/1","doc":"```heex\n \n  <:brand><.link navigate={~p\"/\"}>Pet Clinic</.link></:brand>\n   \n    <:item><.link navigate={~p\"/about\"}>About</.link></:item>\n    <:item><.link navigate={~p\"/services\"}>Services</.link></:item>\n    <:item>\n      <.link navigate={~p\"/login\"} class=\"button\">Log in</.link>\n    </:item>\n   \n \n```\n\nYou can place multiple navigation item lists in the inner block. If the\n`.navbar` is styled as a flex box, you can use the CSS `order` property to\ncontrol the display order of the brand and lists.\n\n```heex\n \n  <:brand><.link navigate={~p\"/\"}>Pet Clinic</.link></:brand>\n   \n    <:item><.link navigate={~p\"/about\"}>About</.link></:item>\n    <:item><.link navigate={~p\"/services\"}>Services</.link></:item>\n   \n   \n    <:item>\n       Log in \n    </:item>\n   \n \n```\n\nIf you have multiple ` ` elements on your page, it is recommended to set\nthe `aria-label` attribute.\n\n```heex\n \n  <!-- ... -->\n \n```","ref":"Doggo.html#navbar/1-usage"},{"type":"function","title":"Attributes - Doggo.navbar/1","doc":"* `label` (`:string`) (required) - Aria label for the ` ` element (e.g. \"Main\"). The label is especially\n  important if you have multiple ` ` elements on the same page. If the\n  page is localized, the label should be translated, too. Do not include\n  \"navigation\" in the label, since screen readers will already announce the\n  \"navigation\" role as part of the label.\n\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#navbar/1-attributes"},{"type":"function","title":"Slots - Doggo.navbar/1","doc":"* `brand` - Slot for the brand name or logo.\n* `inner_block` (required) - Slot for navbar items. Use the `navbar_items` component here to render\n  navigation links or other controls.","ref":"Doggo.html#navbar/1-slots"},{"type":"function","title":"Doggo.navbar_items/1","doc":"Renders a list of navigation items.\n\nMeant to be used in the inner block of the `navbar` component.","ref":"Doggo.html#navbar_items/1"},{"type":"function","title":"Usage - Doggo.navbar_items/1","doc":"```heex\n \n  <:item><.link navigate={~p\"/about\"}>About</.link></:item>\n  <:item><.link navigate={~p\"/services\"}>Services</.link></:item>\n  <:item>\n    <.link navigate={~p\"/login\"} class=\"button\">Log in</.link>\n  </:item>\n \n```","ref":"Doggo.html#navbar_items/1-usage"},{"type":"function","title":"Attributes - Doggo.navbar_items/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#navbar_items/1-attributes"},{"type":"function","title":"Slots - Doggo.navbar_items/1","doc":"* `item` (required) - A navigation item, usually a link or a button. Accepts attributes:\n\n  * `class` (`:string`) - A class for the ` `.","ref":"Doggo.html#navbar_items/1-slots"},{"type":"function","title":"Doggo.page_header/1","doc":"Renders a header that is specific to the content of the current page.\n\nUnlike a site-wide header, which offers consistent navigation and elements\nlike logos throughout the website or application, this component is meant\nto describe the unique content of each page. For instance, on an article page,\nit would display the article's title.\n\nIt is typically used as a direct child of the ` ` element.","ref":"Doggo.html#page_header/1"},{"type":"function","title":"Example - Doggo.page_header/1","doc":"```heex\n \n   \n    <:action>\n       Add New Profile \n    </:action>\n   \n\n   \n    <!-- Content -->\n   \n \n```","ref":"Doggo.html#page_header/1-example"},{"type":"function","title":"Attributes - Doggo.page_header/1","doc":"* `title` (`:string`) (required) - The title for the current page.\n* `subtitle` (`:string`) - An optional sub title. Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#page_header/1-attributes"},{"type":"function","title":"Slots - Doggo.page_header/1","doc":"* `action` - A slot for action buttons related to the current page.","ref":"Doggo.html#page_header/1-slots"},{"type":"function","title":"Doggo.property_list/1","doc":"Renders a list of properties, i.e. key/value pairs.","ref":"Doggo.html#property_list/1"},{"type":"function","title":"Example - Doggo.property_list/1","doc":"```heex\n \n  <:prop label={gettext(\"Name\")}>George</:prop>\n  <:prop label={gettext(\"Age\")}>42</:prop>\n \n```","ref":"Doggo.html#property_list/1-example"},{"type":"function","title":"Attributes - Doggo.property_list/1","doc":"* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#property_list/1-attributes"},{"type":"function","title":"Slots - Doggo.property_list/1","doc":"* `prop` - A property to be rendered. Accepts attributes:\n\n  * `label` (`:string`) (required)","ref":"Doggo.html#property_list/1-slots"},{"type":"function","title":"Doggo.radio_group/1","doc":"Renders a group of radio buttons, for example for a toolbar.\n\nTo render radio buttons within a regular form, use `input/1` with the\n`\"radio-group\"` type instead.","ref":"Doggo.html#radio_group/1"},{"type":"function","title":"Example - Doggo.radio_group/1","doc":"```heex\n \n```","ref":"Doggo.html#radio_group/1-example"},{"type":"function","title":"CSS - Doggo.radio_group/1","doc":"To target the wrapper, use an attribute selector:\n\n```css\n[role=\"radio-group\"] {}\n```","ref":"Doggo.html#radio_group/1-css"},{"type":"function","title":"Attributes - Doggo.radio_group/1","doc":"* `id` (`:string`) (required)\n* `name` (`:string`) (required) - The `name` attribute for the `input` elements.\n* `label` (`:string`) - A accessibility label for the radio group. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels this radio group.\n\n  Example:\n\n  ```html\n   Favorite Dog \n  <.radio_group labelledby=\"dog-rg-label\"></.radio_group>\n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `options` (`:list`) (required) - A list of options. It can be given a list values or as a list of\n  `{label, value}` tuples.\n\n* `value` (`:any`) - The currently selected value, which is compared with the option value to\n  determine whether a radio button is checked.\n\n  Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#radio_group/1-attributes"},{"type":"function","title":"Doggo.show_modal/2","doc":"Shows the modal with the given ID.","ref":"Doggo.html#show_modal/2"},{"type":"function","title":"Example - Doggo.show_modal/2","doc":"```heex\n<.link phx-click={show_modal(\"pet-modal\")}>show</.link>\n```","ref":"Doggo.html#show_modal/2-example"},{"type":"function","title":"Doggo.show_tab/3","doc":"Shows the tab with the given index of the `tabs/1` component with the given\nID.","ref":"Doggo.html#show_tab/3"},{"type":"function","title":"Example - Doggo.show_tab/3","doc":"Doggo.show_tab(\"my-tabs\", 2)","ref":"Doggo.html#show_tab/3-example"},{"type":"function","title":"Doggo.skeleton/1","doc":"Renders a skeleton loader, a placeholder for content that is in the process of\nloading.\n\nIt mimics the layout of the actual content, providing a better user experience\nduring loading phases.","ref":"Doggo.html#skeleton/1"},{"type":"function","title":"Usage - Doggo.skeleton/1","doc":"Render one of several primitive types:\n\n```heex\n \n```\n\nCombine primitives for complex layouts:\n\n```heex\n \n   \n   \n   \n   \n   \n \n```\n\nTo modify the primitives for your use cases, you can use custom classes or CSS\nproperties:\n\n```heex\n \n```\n\n```heex\n \n```","ref":"Doggo.html#skeleton/1-usage"},{"type":"function","title":"Aria-busy attribute - Doggo.skeleton/1","doc":"When using skeleton loaders, apply `aria-busy=\"true\"` to the container element\nthat contains the skeleton layout. For standalone use, add the attribute\ndirectly to the individual skeleton loader.","ref":"Doggo.html#skeleton/1-aria-busy-attribute"},{"type":"function","title":"Async result component - Doggo.skeleton/1","doc":"The easiest way to load data asynchronously and render a skeleton loader is\nto use LiveView's\n[async operations](`m:Phoenix.LiveView#module-async-operations`)\nand `Phoenix.Component.async_result/1`.\n\nAssuming you defined a card skeleton component as described above:\n\n```heex\n<.async_result :let={puppy} assign={@puppy}>\n  <:loading><.card_skeleton /></:loading>\n  <:failed :let={_reason}>There was an error loading the puppy.</:failed>\n  <!-- Card for loaded content -->\n</.async_result>\n```","ref":"Doggo.html#skeleton/1-async-result-component"},{"type":"function","title":"Attributes - Doggo.skeleton/1","doc":"* `type` (`:atom`) (required) - Must be one of `:text_line`, `:text_block`, `:image`, `:circle`, `:rectangle`, or `:square`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#skeleton/1-attributes"},{"type":"function","title":"Doggo.split_pane/1","doc":"Renders a horizontal or vertical resizable split pane.\n\n> ##","ref":"Doggo.html#split_pane/1"},{"type":"function","title":"In Development {: .warning} - Doggo.split_pane/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Resize panes with the mouse\n> - Resize panes with the keyboard","ref":"Doggo.html#split_pane/1-in-development-warning"},{"type":"function","title":"Examples - Doggo.split_pane/1","doc":"Horizontal separator with label:\n\n```heex\n \n  <:primary>One</:primary>\n  <:secondary>Two</:secondary>\n \n```\n\nHorizontal separator with visible label:\n\n```heex\n \n  <:primary>\n     Sidebar \n     One \n  </:primary>\n  <:secondary>Two</:secondary>\n \n```\n\nNested window splitters:\n\n```heex\n \n  <:primary>One</:primary>\n  <:secondary>\n     \n      <:primary>Two</:primary>\n      <:secondary>Three</:secondary>\n     \n  </:secondary>\n \n```","ref":"Doggo.html#split_pane/1-examples"},{"type":"function","title":"Attributes - Doggo.split_pane/1","doc":"* `label` (`:string`) - An accessibility label for the separator if the primary pane has no visible\n  label. If it has a visible label, set the `labelledby` attribute instead.\n\n  Note that the label should describe the primary pane, not the resize handle.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - If the primary pane has a visible label, set this attribute to the DOM ID\n  of that label. Otherwise, provide a label via the `label` attribute.\n\n  Defaults to `nil`.\n* `id` (`:string`) (required)\n* `orientation` (`:string`) (required) - Must be one of `\"horizontal\"`, or `\"vertical\"`.\n* `default_size` (`:integer`) (required)\n* `min_size` (`:integer`) - Defaults to `0`.\n* `max_size` (`:integer`) - Defaults to `100`.","ref":"Doggo.html#split_pane/1-attributes"},{"type":"function","title":"Slots - Doggo.split_pane/1","doc":"* `primary` (required)\n* `secondary` (required)","ref":"Doggo.html#split_pane/1-slots"},{"type":"function","title":"Doggo.stack/1","doc":"Applies a vertical margin between the child elements.","ref":"Doggo.html#stack/1"},{"type":"function","title":"Example - Doggo.stack/1","doc":"```heex\n \n   some block \n   some other block \n \n```\n\nTo apply a vertical margin on nested elements as well, set `recursive` to\n`true`.\n\n```heex\n \n   \n     some nested block \n     another nested block \n   \n   some other block \n \n```","ref":"Doggo.html#stack/1-example"},{"type":"function","title":"Attributes - Doggo.stack/1","doc":"* `recursive` (`:boolean`) - If `true`, the stack margins will be applied to nested elements as well. Defaults to `false`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#stack/1-attributes"},{"type":"function","title":"Slots - Doggo.stack/1","doc":"* `inner_block` (required)","ref":"Doggo.html#stack/1-slots"},{"type":"function","title":"Doggo.steps/1","doc":"Renders a navigation for form steps.","ref":"Doggo.html#steps/1"},{"type":"function","title":"Examples - Doggo.steps/1","doc":"With patch navigation:\n\n```heex\n \n  <:step on_click={JS.patch(to: ~p\"/form/step/personal-information\")}>\n    Profile\n  </:step>\n  <:step on_click={JS.patch(to: ~p\"/form/step/delivery\")}>\n    Delivery\n  </:step>\n  <:step on_click={JS.patch(to: ~p\"/form/step/confirmation\")}>\n    Confirmation\n  </:step>\n \n```\n\nWith push events:\n\n```heex\n \n  <:step on_click={JS.push(\"go-to-step\", value: %{step: \"profile\"})}>\n    Profile\n  </:step>\n  <:step on_click={JS.push(\"go-to-step\", value: %{step: \"delivery\"})}>\n    Delivery\n  </:step>\n  <:step on_click={JS.push(\"go-to-step\", value: %{step: \"confirmation\"})}>\n    Confirmation\n  </:step>\n \n```","ref":"Doggo.html#steps/1-examples"},{"type":"function","title":"Attributes - Doggo.steps/1","doc":"* `label` (`:string`) - Defaults to `\"Form steps\"`.\n* `current_step` (`:integer`) (required) - The current form step, zero-based index.\n* `completed_label` (`:string`) - Visually hidden text that is rendered for screen readers for completed\n  steps.\n\n  Defaults to `\"Completed: \"`.\n* `linear` (`:boolean`) - If `true`, clickable links are only rendered for completed steps.\n\n  If `false`, also upcoming steps are clickable.\n\n  If you don't want any clickable links to be rendered, omit the `on_click`\n  attribute on the `:step` slots.\n\n  Defaults to `false`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#steps/1-attributes"},{"type":"function","title":"Slots - Doggo.steps/1","doc":"* `step` (required) - Accepts attributes:\n\n  * `on_click` (`:any`) - Event name or `Phoenix.LiveView.JS` command to execute when clicking on\n    the step.","ref":"Doggo.html#steps/1-slots"},{"type":"function","title":"Doggo.switch/1","doc":"Renders a switch as a button.\n\nIf you want to render a switch as part of a form, use the `input/1` component\nwith the type `\"switch\"` instead.\n\nNote that this component only renders a button with a label, a state, and\n` ` with the class `switch-control`. You will need to style the switch\ncontrol span with CSS in order to give it the appearance of a switch.","ref":"Doggo.html#switch/1"},{"type":"function","title":"Examples - Doggo.switch/1","doc":"```heex\n \n```","ref":"Doggo.html#switch/1-examples"},{"type":"function","title":"Attributes - Doggo.switch/1","doc":"* `label` (`:string`) (required)\n* `on_text` (`:string`) - Defaults to `\"On\"`.\n* `off_text` (`:string`) - Defaults to `\"Off\"`.\n* `checked` (`:boolean`) - Defaults to `false`.\n* Global attributes are accepted.","ref":"Doggo.html#switch/1-attributes"},{"type":"function","title":"Doggo.tab_navigation/1","doc":"Renders navigation tabs.\n\nThis component is meant for tabs that link to a different view or live action.\nIf you want to render tabs that switch between in-page content panels, use\n`tabs/1` instead.","ref":"Doggo.html#tab_navigation/1"},{"type":"function","title":"Example - Doggo.tab_navigation/1","doc":"```heex\n \n  <:item\n    patch={~p\"/pets/#{@pet}\"}\n    value={[:show, :edit]}\n  >\n    Profile\n  </:item>\n  <:item\n    patch={~p\"/pets/#{@pet}/appointments\"}\n    value={:appointments}\n  >\n    Appointments\n  </:item>\n  <:item\n    patch={~p\"/pets/#{@pet}/messages\"}\n    value={:messages}\n  >\n    Messages\n  </:item>\n \n```","ref":"Doggo.html#tab_navigation/1-example"},{"type":"function","title":"Attributes - Doggo.tab_navigation/1","doc":"* `label` (`:string`) - Aria label for the ` ` element. The label is especially important if you\n  have multiple ` ` elements on the same page. If the page is localized,\n  the label should be translated, too. Do not include \"navigation\" in the\n  label, since screen readers will already announce the \"navigation\" role as\n  part of the label.\n\n  Defaults to `\"Tabs\"`.\n* `current_value` (`:any`) (required) - The current value used to compare the item values with. If you use this\n  component to patch between different view actions, this could be the\n  `@live_action` attribute.\n\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#tab_navigation/1-attributes"},{"type":"function","title":"Slots - Doggo.tab_navigation/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `href` (`:string`) - Passed to `Phoenix.Component.link/1`.\n  * `navigate` (`:string`) - Passed to `Phoenix.Component.link/1`.\n  * `patch` (`:string`) - Passed to `Phoenix.Component.link/1`.\n  * `value` (`:any`) - The value of the item is compared to the `current_value` attribute to\n    determine whether to add the `aria-current` attribute. This can be a\n    single value or a list of values, e.g. multiple live actions for which\n    the item should be marked as current.","ref":"Doggo.html#tab_navigation/1-slots"},{"type":"function","title":"Doggo.table/1","doc":"Renders a simple table.","ref":"Doggo.html#table/1"},{"type":"function","title":"Examples - Doggo.table/1","doc":"```heex\n \n  <:col :let={p} label=\"name\"><%= p.name %></:col>\n  <:col :let={p} label=\"age\"><%= p.age %></:col>\n \n```","ref":"Doggo.html#table/1-examples"},{"type":"function","title":"Attributes - Doggo.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required) - The list of items to be displayed in rows.\n* `caption` (`:string`) - Content for the ` ` element. Defaults to `nil`.\n* `row_id` (`:any`) - Overrides the default function that retrieves the row ID from a stream item. Defaults to `nil`.\n* `row_click` (`:any`) - Sets the `phx-click` function attribute for each row `td`. Expects to be a\n  function that receives a row item as an argument. This does not add the\n  `phx-click` attribute to the `action` slot.\n\n  Example:\n\n  ```elixir\n  row_click={&JS.navigate(~p\"/users/#{&1}\")}\n  ```\n\n  Defaults to `nil`.\n* `row_item` (`:any`) - This function is called on the row item before it is passed to the :col\n  and :action slots.\n\n  Defaults to `&Function.identity/1`.","ref":"Doggo.html#table/1-attributes"},{"type":"function","title":"Slots - Doggo.table/1","doc":"* `col` (required) - For each column to render, add one `<:col>` element.\n\n  ```elixir\n  <:col :let={pet} label=\"Name\" field={:name} col_style=\"width: 20%;\">\n    <%= pet.name %>\n  </:col>\n  ```\n\n  Any additional assigns will be added as attributes to the ` ` elements.\n\n  Accepts attributes:\n\n  * `label` (`:any`) - The content for the header column.\n  * `col_attrs` (`:list`) - If set, a ` ` element is rendered and the attributes are added\n    to the ` ` element of the respective column.\n\n* `action` - The slot for showing user actions in the last table column. These columns\n  do not receive the `row_click` attribute.\n\n\n  ```elixir\n  <:action :let={user}>\n    <.link navigate={~p\"/users/#{user}\"}>Show</.link>\n  </:action>\n  ```\n\n  Accepts attributes:\n\n  * `label` (`:string`) - The content for the header column.\n  * `col_attrs` (`:list`) - If set, a ` ` element is rendered and the attributes are added\n    to the ` ` element of the respective column.\n\n* `foot` - You can optionally add a `foot`. The inner block will be rendered inside\n  a `tfoot` element.\n\n       \n        <:foot>\n            Total:  <%= @total %>   \n        </:foot>","ref":"Doggo.html#table/1-slots"},{"type":"function","title":"Doggo.tabs/1","doc":"Renders tab panels.\n\nThis component is meant for tabs that toggle content panels within the page.\nIf you want to link to a different view or live action, use\n`tab_navigation/1` instead.\n\n> ##","ref":"Doggo.html#tabs/1"},{"type":"function","title":"In Development {: .warning} - Doggo.tabs/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Roving tabindex\n> - Move focus with arrow keys","ref":"Doggo.html#tabs/1-in-development-warning"},{"type":"function","title":"Example - Doggo.tabs/1","doc":"```heex\n \n  <:panel label=\"Golden Retriever\">\n     \n      Friendly, intelligent, great with families. Origin: Scotland. Needs\n      regular exercise.\n     \n  </:panel>\n  <:panel label=\"Siberian Husky\">\n     \n      Energetic, outgoing, distinctive appearance. Origin: Northeast Asia.\n      Loves cold climates.\n     \n  </:panel>\n  <:panel label=\"Dachshund\">\n     \n      Playful, stubborn, small size. Origin: Germany. Enjoys sniffing games.\n     \n  </:panel>\n \n```","ref":"Doggo.html#tabs/1-example"},{"type":"function","title":"Attributes - Doggo.tabs/1","doc":"* `id` (`:string`) (required)\n* `label` (`:string`) - A accessibility label for the tabs. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Do not repeat the word `tab list` or similar in the label, since it is\n  already announced by screen readers.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels the tabs.\n\n  Example:\n\n  ```html\n   Dogs \n    \n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#tabs/1-attributes"},{"type":"function","title":"Slots - Doggo.tabs/1","doc":"* `panel` (required) - Accepts attributes:\n\n  * `label` (`:string`)","ref":"Doggo.html#tabs/1-slots"},{"type":"function","title":"Doggo.tag/1","doc":"Renders a tag, typically used for displaying labels, categories, or keywords.","ref":"Doggo.html#tag/1"},{"type":"function","title":"Examples - Doggo.tag/1","doc":"Plain tag:\n\n```heex\n Well-Trained \n```\n\nWith icon:\n\n```heex\n \n  Puppy\n     \n \n```\n\nWith delete button:\n\n```heex\n \n  High Energy\n   \n       \n   \n \n```","ref":"Doggo.html#tag/1-examples"},{"type":"function","title":"Attributes - Doggo.tag/1","doc":"* `size` (`:atom`) - Defaults to `:normal`.\n* `variant` (`:atom`) - Defaults to `nil`.\n* `shape` (`:atom`) - Defaults to `nil`.","ref":"Doggo.html#tag/1-attributes"},{"type":"function","title":"Slots - Doggo.tag/1","doc":"* `inner_block` (required)","ref":"Doggo.html#tag/1-slots"},{"type":"function","title":"Doggo.time/1","doc":"Renders a `Time`, `DateTime`, or `NaiveDateTime` in a ` ` tag.","ref":"Doggo.html#time/1"},{"type":"function","title":"Examples - Doggo.time/1","doc":"By default, the given value is formatted for display with `to_string/1`. This:\n\n```heex\n \n```\n\nWill be rendered as:\n\n```html\n \n  12:22:06.003\n \n```\n\nYou can also pass a custom formatter function. For example, if you are using\n[ex_cldr_dates_times](https://hex.pm/packages/ex_cldr_dates_times) in your\napplication, you could do this:\n\n```heex\n \n```\n\nWhich, depending on your locale, may be rendered as:\n\n```html\n \n  14:22:06 PM\n \n```","ref":"Doggo.html#time/1-examples"},{"type":"function","title":"Attributes - Doggo.time/1","doc":"* `value` (`:any`) (required) - Either a `Time`, `DateTime`, or `NaiveDateTime`.\n* `formatter` (`:any`) - A function that takes a `Time`, `DateTime`, or `NaiveDateTime` as an\n  argument and returns the value formatted for display. Defaults to\n  `to_string/1`.\n\n* `title_formatter` (`:any`) - When provided, this function is used to format the time value for the\n  `title` attribute. If the attribute is not set, no `title` attribute will\n  be added.\n\n  Defaults to `nil`.\n* `precision` (`:atom`) - Precision to truncate the given value with. The truncation is applied on\n  both the display value and the value of the `datetime` attribute.\n\n  Defaults to `nil`.\n* `timezone` (`:string`) - If set and the given value is a `DateTime`, the value will be shifted to\n  that time zone. This affects both the display value and the `datetime` tag.\n  Note that you need to\n  [configure a time zone database](https://hexdocs.pm/elixir/DateTime.html#module-time-zone-database)\n  for this to work.\n\n  Defaults to `nil`.","ref":"Doggo.html#time/1-attributes"},{"type":"function","title":"Doggo.toggle_button/1","doc":"Renders a button that toggles a state.\n\nUse this component to switch a feature or setting on or off, for example to\ntoggle dark mode or mute/unmute sound.\n\nSee also `button/1`, `button_link/1`, and `disclosure_button/1`.","ref":"Doggo.html#toggle_button/1"},{"type":"function","title":"Examples - Doggo.toggle_button/1","doc":"With a `Phoenix.LiveView.JS` command:\n\n```heex\n \n  Mute\n \n```","ref":"Doggo.html#toggle_button/1-examples"},{"type":"function","title":"Accessibility - Doggo.toggle_button/1","doc":"The button state is conveyed via the `aria-pressed` attribute and the button\nstyling. The button text should not change depending on the state. You may\nhowever include an icon that changes depending on the state.","ref":"Doggo.html#toggle_button/1-accessibility"},{"type":"function","title":"CSS - Doggo.toggle_button/1","doc":"A toggle button can be identified with an attribute selector for the\n`aria-pressed` attribute.\n\n```css\n// any toggle button regardless of state\nbutton[aria-pressed] {}\n\n// unpressed toggle buttons\nbutton[aria-pressed=\"false\"] {}\n\n// pressed toggle buttons\nbutton[aria-pressed=\"true\"] {}\n```","ref":"Doggo.html#toggle_button/1-css"},{"type":"function","title":"Attributes - Doggo.toggle_button/1","doc":"* `pressed` (`:boolean`) - Defaults to `false`.\n* `on_click` (`Phoenix.LiveView.JS`) (required) - Phoenix.LiveView.JS command or event name to trigger when the button is\n  clicked.\n\n* `variant` (`:atom`) - Defaults to `:primary`.\n* `fill` (`:atom`) - Defaults to `:solid`.\n* `size` (`:atom`) - Defaults to `:normal`.\n* `shape` (`:atom`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Doggo.html#toggle_button/1-attributes"},{"type":"function","title":"Slots - Doggo.toggle_button/1","doc":"* `inner_block` (required)","ref":"Doggo.html#toggle_button/1-slots"},{"type":"function","title":"Doggo.toolbar/1","doc":"Renders a container for a set of controls.\n\n> ##","ref":"Doggo.html#toolbar/1"},{"type":"function","title":"In Development {: .warning} - Doggo.toolbar/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Roving tabindex\n> - Move focus with arrow keys","ref":"Doggo.html#toolbar/1-in-development-warning"},{"type":"function","title":"Example - Doggo.toolbar/1","doc":"Direct children of this component can be any types buttons or groups of\nbuttons.\n\n```heex\n \n   \n     \n         \n     \n     \n         \n     \n   \n   \n     \n         \n     \n     \n         \n     \n   \n \n```","ref":"Doggo.html#toolbar/1-example"},{"type":"function","title":"Attributes - Doggo.toolbar/1","doc":"* `label` (`:string`) - A accessibility label for the toolbar. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Do not repeat the word `toolbar` in the label, since it is already announced\n  by screen readers.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels this tree.\n\n  Example:\n\n  ```html\n   Dogs \n    \n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `controls` (`:string`) - DOM ID of the element that is controlled by this toolbar. For example,\n  if the toolbar provides text formatting options for an editable content\n  area, the values should be the ID of that content area.\n\n  Defaults to `nil`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#toolbar/1-attributes"},{"type":"function","title":"Slots - Doggo.toolbar/1","doc":"* `inner_block` (required) - Place any number of buttons, groups of buttons, toggle buttons, menu\n  buttons, or disclosure buttons here.","ref":"Doggo.html#toolbar/1-slots"},{"type":"function","title":"Doggo.tooltip/1","doc":"Renders content with a tooltip.\n\nThere are different ways to render a tooltip. This component renders a ` `\nwith the `tooltip` role, which is hidden unless the element is hovered on or\nfocused. For example CSS for this kind of tooltip, refer to\n[ARIA: tooltip role](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Roles/tooltip_role).\n\nA simpler alternative for styled text-only tooltips is to use a data attribute\nand the [`attr` CSS function](https://developer.mozilla.org/en-US/docs/Web/CSS/attr).\nDoggo does not provide a component for that kind of tooltip, since it is\ncontrolled by attributes only. You can check\n[Pico CSS](https://v2.picocss.com/docs/tooltip) for an example implementation.","ref":"Doggo.html#tooltip/1"},{"type":"function","title":"Example - Doggo.tooltip/1","doc":"With an inline text:\n\n```heex\n \n  Did you know that the\n   \n    Labrador Retriever\n    <:tooltip>\n        Labrador Retriever  \n       \n        Labradors are known for their friendly nature and excellent\n        swimming abilities.\n       \n    </:tooltip>\n   \n  is one of the most popular dog breeds in the world?\n \n```\n\nIf the inner block contains a link, add the `:contains_link` attribute:\n\n```heex\n \n  Did you know that the\n   \n    <.link navigate={~p\"/labradors\"}>Labrador Retriever</.link>\n    <:tooltip>\n        Labrador Retriever  \n       \n        Labradors are known for their friendly nature and excellent\n        swimming abilities.\n       \n    </:tooltip>\n   \n  is one of the most popular dog breeds in the world?\n \n```","ref":"Doggo.html#tooltip/1-example"},{"type":"function","title":"Attributes - Doggo.tooltip/1","doc":"* `id` (`:string`) (required)\n* `contains_link` (`:boolean`) - If `false`, the component sets `tabindex=\"0\"` on the element wrapping the\n  inner block, so that the tooltip can be made visible by focusing the\n  element.\n\n  If the inner block already contains an element that is focusable, such as\n  a link or a button, set this attribute to `true`.\n\n  Defaults to `false`.","ref":"Doggo.html#tooltip/1-attributes"},{"type":"function","title":"Slots - Doggo.tooltip/1","doc":"* `inner_block` (required)\n* `tooltip` (required)","ref":"Doggo.html#tooltip/1-slots"},{"type":"function","title":"Doggo.tree/1","doc":"Renders a hierarchical list as a tree.\n\nA good use case for this component is a folder structure. For navigation and\nother menus, a regular nested list should be preferred.\n\n> ##","ref":"Doggo.html#tree/1"},{"type":"function","title":"In Development {: .warning} - Doggo.tree/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Expand and collapse nodes\n> - Select nodes\n> - Navigate tree with arrow keys","ref":"Doggo.html#tree/1-in-development-warning"},{"type":"function","title":"Example - Doggo.tree/1","doc":"```heex\n \n   \n    Breeds\n    <:items>\n       Golden Retriever \n       Labrador Retriever \n    </:items>\n   \n   \n    Characteristics\n    <:items>\n       Playful \n       Loyal \n    </:items>\n   \n \n```","ref":"Doggo.html#tree/1-example"},{"type":"function","title":"CSS - Doggo.tree/1","doc":"To target the wrapper, use an attribute selector:\n\n```css\n[role=\"tree\"] {}\n```","ref":"Doggo.html#tree/1-css"},{"type":"function","title":"Attributes - Doggo.tree/1","doc":"* `label` (`:string`) - A accessibility label for the tree. Set as `aria-label` attribute.\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Do not repeat the word `tree` in the label, since it is already announced\n  by screen readers.\n\n  Defaults to `nil`.\n* `labelledby` (`:string`) - The DOM ID of an element that labels this tree.\n\n  Example:\n\n  ```html\n   Dogs \n  <.tree labelledby=\"dog-tree-label\"></.tree>\n  ```\n\n  You should ensure that either the `label` or the `labelledby` attribute is\n  set.\n\n  Defaults to `nil`.\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#tree/1-attributes"},{"type":"function","title":"Slots - Doggo.tree/1","doc":"* `inner_block` (required) - Slot for the root nodes of the tree. Use the `tree_item/1` component as\n  direct children.","ref":"Doggo.html#tree/1-slots"},{"type":"function","title":"Doggo.tree_item/1","doc":"Renders a tree item within a `tree/1`.\n\nThis component can be used as a direct child of `tree/1` or within the `items`\nslot of this component.\n\n> ##","ref":"Doggo.html#tree_item/1"},{"type":"function","title":"In Development {: .warning} - Doggo.tree_item/1","doc":">\n> The necessary JavaScript for making this component fully functional and\n> accessible will be added in a future version.\n>\n> **Missing features**\n>\n> - Expand and collapse nodes\n> - Select nodes\n> - Navigate tree with arrow keys","ref":"Doggo.html#tree_item/1-in-development-warning"},{"type":"function","title":"Example - Doggo.tree_item/1","doc":"```heex\n \n   \n    Breeds\n    <:items>\n       Golden Retriever \n       Labrador Retriever \n    </:items>\n   \n   \n    Characteristics\n    <:items>\n       Playful \n       Loyal \n    </:items>\n   \n \n```\n\nIcons can be added before the label:\n\n \n    Breeds\n  <:items>\n       Golden Retriever \n       Labrador Retriever \n  </:items>","ref":"Doggo.html#tree_item/1-example"},{"type":"function","title":"Slots - Doggo.tree_item/1","doc":"* `items` - Slot for children of this item. Place one or more additional `tree_item/1`\n  components within this slot, or omit if this is a leaf node.\n\n* `inner_block` (required) - Slot for the item label.","ref":"Doggo.html#tree_item/1-slots"},{"type":"function","title":"Doggo.vertical_nav/1","doc":"Renders a vertical navigation menu.\n\nIt is commonly placed within drawers or sidebars.\n\nFor hierarchical menu structures, use `vertical_nav_nested/1` within the\n`:item` slot.\n\nTo include sections in your drawer or sidebar that are not part of the\nnavigation menu (like informational text or a site search), use the\n`vertical_nav_section/1` component.","ref":"Doggo.html#vertical_nav/1"},{"type":"function","title":"Example - Doggo.vertical_nav/1","doc":"```heex\n \n  <:item>\n    <.link navigate={~p\"/dashboard\"}>Dashboard</.link>\n  </:item>\n  <:item>\n     \n      <:title>Content</:title>\n      <:item current_page>\n        <.link navigate={~p\"/posts\"}>Posts</.link>\n      </:item>\n      <:item>\n        <.link navigate={~p\"/comments\"}>Comments</.link>\n      </:item>\n     \n  </:item>\n \n```","ref":"Doggo.html#vertical_nav/1-example"},{"type":"function","title":"Attributes - Doggo.vertical_nav/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `label` (`:string`) (required)\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#vertical_nav/1-attributes"},{"type":"function","title":"Slots - Doggo.vertical_nav/1","doc":"* `title` - An optional slot for the title of the menu.\n* `item` (required) - Items. Accepts attributes:\n\n  * `class` (`:string`)\n  * `current_page` (`:boolean`)","ref":"Doggo.html#vertical_nav/1-slots"},{"type":"function","title":"Doggo.vertical_nav_nested/1","doc":"Renders nested navigation items within the `:item` slot of the\n`vertical_nav/1` component.","ref":"Doggo.html#vertical_nav_nested/1"},{"type":"function","title":"Example - Doggo.vertical_nav_nested/1","doc":"```heex\n \n  <:item>\n     \n      <:title>Content</:title>\n      <:item current_page>\n        <.link navigate={~p\"/posts\"}>Posts</.link>\n      </:item>\n      <:item>\n        <.link navigate={~p\"/comments\"}>Comments</.link>\n      </:item>\n     \n  </:item>\n \n```","ref":"Doggo.html#vertical_nav_nested/1-example"},{"type":"function","title":"Attributes - Doggo.vertical_nav_nested/1","doc":"* `id` (`:string`) (required)","ref":"Doggo.html#vertical_nav_nested/1-attributes"},{"type":"function","title":"Slots - Doggo.vertical_nav_nested/1","doc":"* `title` - An optional slot for the title of the nested menu section.\n* `item` (required) - Items. Accepts attributes:\n\n  * `class` (`:string`)\n  * `current_page` (`:boolean`)","ref":"Doggo.html#vertical_nav_nested/1-slots"},{"type":"function","title":"Doggo.vertical_nav_section/1","doc":"Renders a section within a sidebar or drawer that contains one or more\nitems which are not navigation links.\n\nTo render navigation links, use `vertical_nav/1` instead.","ref":"Doggo.html#vertical_nav_section/1"},{"type":"function","title":"Example - Doggo.vertical_nav_section/1","doc":"```heex\n \n  <:title>Search</:title>\n  <:item> </:item>\n \n```","ref":"Doggo.html#vertical_nav_section/1-example"},{"type":"function","title":"Attributes - Doggo.vertical_nav_section/1","doc":"* `id` (`:string`) (required)\n* `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings. Defaults to `[]`.\n* Global attributes are accepted. Any additional HTML attributes.","ref":"Doggo.html#vertical_nav_section/1-attributes"},{"type":"function","title":"Slots - Doggo.vertical_nav_section/1","doc":"* `title` - An optional slot for the title of the section.\n* `item` (required) - Items. Accepts attributes:\n\n  * `class` (`:any`) - Additional CSS classes. Can be a string or a list of strings.","ref":"Doggo.html#vertical_nav_section/1-slots"},{"type":"task","title":"mix dog.modifiers","doc":"Returns a list of all modifier classes.","ref":"Mix.Tasks.Dog.Modifiers.html"},{"type":"task","title":"Usage - mix dog.modifiers","doc":"List modifier classes:\n\n    mix dog.modifiers\n\nWrite modifier classes to file:\n\n    mix dog.modifiers -o assets/modifiers.txt","ref":"Mix.Tasks.Dog.Modifiers.html#module-usage"},{"type":"extras","title":"Doggo","doc":"# Doggo\n\n[![Hex](https://img.shields.io/hexpm/v/doggo)](https://hex.pm/packages/doggo) ![CI](https://github.com/woylie/doggo/workflows/CI/badge.svg) [![Coverage Status](https://coveralls.io/repos/github/woylie/doggo/badge.svg)](https://coveralls.io/github/woylie/doggo)\n\n \n\nHeadless UI component collection for Phoenix, focused on semantics and\naccessibility.\n\nFor a full list of available components, please refer to the\n[documentation](https://hexdocs.pm/doggo/Doggo.html).","ref":"readme.html"},{"type":"extras","title":"Installation - Doggo","doc":"The package can be installed by adding `doggo` to your list of dependencies in\n`mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:doggo, \"~> 0.5.0\"}\n  ]\nend\n```\n\n#","ref":"readme.html#installation"},{"type":"extras","title":"Gettext - Doggo","doc":"To allow Doggo to translate certain strings such as form field errors with\nGettext, set your Gettext module in `config/config.exs`:\n\n```elixir\nconfig :doggo, gettext: MyApp.Gettext\n```\n\nThis only affects the `input` component. If you prefer, you can pass the\ngettext module as an attribute to the component instead.\n\n#","ref":"readme.html#gettext"},{"type":"extras","title":"Storybook - Doggo","doc":"The library is equipped with story modules for\n[Phoenix Storybook](https://hex.pm/packages/phoenix_storybook). After you\nfollowed the installation instructions of Phoenix Storybook, you can configure a\nstorybook module for Doggo in your application as follows:\n\n```elixir\ndefmodule MyAppWeb.Storybook.Doggo do\n  use PhoenixStorybook,\n    otp_app: :my_app_web,\n    content_path: Path.join(:code.priv_dir(:doggo), \"/storybook\"),\n    title: \"Doggo Storybook\",\n    css_path: \"/assets/storybook.css\",\n    js_path: \"/assets/storybook.js\",\n    sandbox_class: \"my-app-web\"\nend\n```\n\nThe important option here is `content_path`, which points to the storybook\ndirectory in the `priv` folder of Doggo. Adjust the rest of the option to the\nneeds of your application.\n\nIn your router, add the Doggo storybook as a second storybook and change the\npath of your application storybook to avoid path conflicts.\n\n```elixir\nscope \"/\", MyAppWeb do\n  pipe_through :browser\n\n  live_storybook(\"/storybook/app\", backend_module: MyAppWeb.Storybook)\n\n  live_storybook(\"/storybook/doggo\",\n    backend_module: MyAppWeb.Storybook.Doggo,\n    session_name: :live_storybook_doggo,\n    pipeline: false\n  )\nend\n```\n\n#","ref":"readme.html#storybook"},{"type":"extras","title":"PurgeCSS - Doggo","doc":"If you use PurgeCSS, you will need to add `deps/doggo/lib/doggo.ex` to your\nPurgeCSS configuration.\n\nDoggo also uses modifier CSS classes to alter the appearance of components. The\nclass names are generated dynamically, which means PurgeCSS won't be able to\nfind them in the source code. You can use `mix dog.modifiers` to save a\nlist of all modifier class names to a file:\n\n```bash\nmix dog.modifiers -o assets/modifiers.txt\n```\n\nAdd the generated file to your PurgeCSS configuration as well.","ref":"readme.html#purgecss"},{"type":"extras","title":"Design decisions - Doggo","doc":"- Favor semantic HTML elements over CSS classes for structure and clarity.\n- Adhere to accessibility guidelines with appropriate ARIA attributes and roles.\n- Utilize semantic HTML and ARIA attributes for style bindings to states, rather\n  than relying on CSS classes.\n- Where state or variations can not be expressed semantically, use modifier\n  classes named `.is-*` or `.has-*`.\n- The library is designed without default styles and does not prefer any\n  particular CSS framework.","ref":"readme.html#design-decisions"},{"type":"extras","title":"Demo app - Doggo","doc":"The repository contains a demo application that renders the plain storybook.\nNote that it doesn't come with any CSS, so all components will be rendered with\ndefault browser styles.\n\n```bash\ngit clone git@github.com:woylie/doggo.git\ncd doggo/demo\nmix setup\nmix phx.server\n```\n\nThe storybook can be accessed at http://localhost:4000.","ref":"readme.html#demo-app"},{"type":"extras","title":"Status - Doggo","doc":"The library is actively developed. Being in its early stages, the library may\nstill undergo significant changes, potentially leading to breaking changes.\n\nIf you miss a component, if you have trouble with an existing component, or if a\ncomponent doesn't work for you in a certain use case, please don't hesitate to\nopen a [Github issue](https://github.com/woylie/doggo/issues).","ref":"readme.html#status"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"Unreleased - Changelog","doc":"## [0.5.0] - 2024-02-12\n\n#","ref":"changelog.html#unreleased"},{"type":"extras","title":"Added - Changelog","doc":"- New component: `Doggo.alert_dialog/1`.\n- New component: `Doggo.carousel/1`.\n- New component: `Doggo.combobox/1`.\n- New component: `Doggo.disclosure_button/1`.\n- New component: `Doggo.menu/1`.\n- New component: `Doggo.menu_bar/1`.\n- New component: `Doggo.menu_button/1`.\n- New component: `Doggo.menu_group/1`.\n- New component: `Doggo.menu_item/1`.\n- New component: `Doggo.menu_item_checkbox/1`.\n- New component: `Doggo.menu_item_radio_group/1`.\n- New component: `Doggo.radio_group/1`.\n- New component: `Doggo.split_pane/1`.\n- New component: `Doggo.tabs/1`.\n- New component: `Doggo.toolbar/1`.\n- New component: `Doggo.tree/1`.\n- Storybook page about modifier classes.\n- Mix task `mix dog.modifiers` to list all modifier classes.\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Set `aria-invalid` and `aria-errormessage` attributes in `Doggo.input/1`\n  component.\n- Use buttons instead of links in `Doggo.action_bar/1`.\n- Add `toolbar` role to `Doggo.action_bar/1`.\n- Use `section` instead of `article` in `Doggo.modal/1`.\n- Use `button` for close button in `Doggo.modal/1`.\n- Add `dismissable` attribute to `Doggo.modal/1`.\n- Remove `role` from `button_link/1`, add `class`.\n- Rename `Doggo.drawer/1` slots to `header`, `main`, and `footer`.\n- Rename `Doggo.drawer_nav/1`, `Doggo.drawer_nav_nested/1` and\n  `Doggo.drawer_nav_section` to `Doggo.vertical_nav/1`,\n  `Doggo.vertical_nav_nested/1` and `Doggo.vertical_nav_section/1`.\n- Depend on `phoenix_storybook ~> 0.6.0`.\n\n## [0.4.0] - 2023-12-31\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Added - Changelog","doc":"- New component: `Doggo.cluster/1`.\n- New component: `Doggo.toggle_button/1`.\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Significant changes to `Doggo.alert/1` and `Doggo.flash_group/1`.\n- Require `id` attribute for `Doggo.callout/1`.\n- Add `:normal` as size for `Doggo.icon_sprite/1`.\n- Remove `:error` variant in favor of `:danger`.\n- Add ` ` around text placeholder for `Doggo.avatar/1`.\n- Add base class to `Doggo.image/1`, add `class` attribute.\n- Rename `Doggo.frame/1` ratio classes from `x-to-x` to `x-by-x`.\n- Add required `label` attribute to `Doggo.navbar/1`.\n- Add `class` attribute to `:item` slot of `Doggo.navbar_items/1`.\n- Add `required_title` attribute to `Doggo.label/1`.\n- Change `description` attribute of `Doggo.field_description/1` to inner block.\n- Require `id` attribute for `Doggo.drawer_section/1`.\n- Add `aria-labelledby` attribute to `Doggo.drawer_section/1`.\n- Require `id` and `label` attributes for `Doggo.drawer_nav/1`.\n- Add `class` attribute to `Doggo.drawer_nav` item slot.\n- Require `id` attribute for `Doggo.drawer_nested_nav/1`.\n- Add `class` attribute to `Doggo.drawer_nested_nav` item slot.\n- Add `close_label` attribute to `Doggo.modal/1`.\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Box header not rendered if only action slot is used without banner or title.\n- Aria label of breadcrumb component not overridable.\n- Radio groups and checkbox groups always marked as required.\n- Missing datalist option text.\n\n## [0.3.1] - 2023-12-28\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"- Allow event name as string in `on_click` attributes of app bar and steps.\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Faulty application of the `on_click` attribute in `Doggo.steps/1`.\n\n## [0.3.0] - 2023-12-27\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Changelog","doc":"- New component: `Doggo.avatar/1`.\n- New component: `Doggo.badge/1`.\n- New component: `Doggo.bottom_navigation/1`.\n- New component: `Doggo.box/1`.\n- New component: `Doggo.callout/1`.\n- New component: `Doggo.fab/1`.\n- New component: `Doggo.field_group/1`.\n- New component: `Doggo.page_header/1`.\n- New component: `Doggo.skeleton/1`.\n- New component: `Doggo.steps/1`.\n- New component: `Doggo.tag/1`.\n- New component: `Doggo.tooltip/1`.\n- Allow to visually hide labels.\n- Support autocomplete via ` ` in `input/1` component.\n- `addon_left` and `addon_right` slots on the `input/1` component.\n- `gettext` attribute on `Doggo.input/1`, giving you the choice to\n  set the Gettext module locally.\n\n## [0.2.1] - 2023-12-19\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Ensure compatibility with Phoenix.HTML 4.0.\n\n## [0.2.0] - 2023-12-17\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Added - Changelog","doc":"- New `tab_navigation/1` component.\n- New `frame/1` component.\n- New `image/1` component.\n\n## [0.1.5] - 2023-12-16\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Fixed - Changelog","doc":"- Remove default value for `errors` attribute on `input` component.\n\n## [0.1.4] - 2023-12-16\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Changelog","doc":"- Added storybook stories for the remaining components.\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Fixed - Changelog","doc":"- Errors passed as an attribute to the `input/1` component were overridden.\n- The `field_description/1` component had a stray ` ` tag.\n\n## [0.1.3] - 2023-12-15\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Added `priv/storybook` folder to package configuration.\n\n## [0.1.2] - 2023-12-14\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"- Added more storybook stories.\n\n#","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Fixed attribute name for table rows.\n\n## [0.1.1] - 2023-12-13\n\n#","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"- Storybook stories for more components and documentation improvements.\n\n## [0.1.0] - 2023-12-13\n\nInitial release.","ref":"changelog.html#changed"}],"content_type":"text/markdown"}